Option Explicit Off
Imports CrystalDecisions.CrystalReports.Engine
Public Class frmEGYPT
    Inherits System.Windows.Forms.Form
    Dim WithEvents BS As New BindingSource
    Private Sub frmEGYPT_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        SqlConnection1.ConnectionString = constring
        ds.EnforceConstraints = False
        SqlConnection1.Open()
        Dim str As String = "SELECT * FROM EGYPTBANK ORDER BY EBNK1"
        SqlDataAdapter1 = New SqlClient.SqlDataAdapter(str, SqlConnection1)
        ds.Clear()
        SqlDataAdapter1.Fill(ds, "EGYPTBANK")
        BS.DataSource = ds
        BS.DataMember = "EGYPTBANK"
        ds.EnforceConstraints = True
        SqlDataAdapter1.Dispose()
        SqlConnection1.Close()
        FILLCOMBOBOX("EGYPTBANK", "EBNK6", Me.TEXTBOX14)
        FILLCOMBOBOX("EGYPTBANK", "EBNK6", Me.TEXTBOX6)
        FILLCOMBOBOX("EGYPTBANK", "EBNK8", Me.TEXTBOX8)
        SHOWBUTTON()
        SumAmounEGYPTBALANCE()
        RecordCount()
    End Sub
    Private Sub BS_PositionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BS.PositionChanged
        On Error Resume Next
        RecordCount()
    End Sub
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RECORDSLABEL.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds.Tables("EGYPTBANK").Rows.Count - 1 Then
            Forward = True
        End If
        FIRSTBUTTON.Enabled = Back
        PREVIOUSBUTTON.Enabled = Back
        NEXTBUTTON.Enabled = Forward
        LASTBUTTON.Enabled = Forward
        DISPLAYRECORD()
        SumAmounEGYPTBALANCE()
        Me.TEXTBOX15.Text = HANY(Me.TEXTBOX11.Text, "EGYPT")
    End Sub
    Private Sub SHOWBUTTON()
        On Error Resume Next
        Me.SAVEBUTTON.Enabled = BUTTONSAVE
        Me.EDITBUTTON.Enabled = BUTTONEDIT
        Me.DELETEBUTTON.Enabled = BUTTONDELETE
    End Sub
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .TEXTBOX1.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK1").ToString
            .TEXTBOX2.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK2").ToString
            .TEXTBOX3.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK3").ToString
            .TEXTBOX4.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK4").ToString
            .TEXTBOX5.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK5").ToString
            .TEXTBOX6.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK6").ToString
            .TEXTBOX7.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK7").ToString
            .TEXTBOX8.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK8").ToString
            .TEXTBOX9.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK9").ToString
            .TEXTBOX10.Text = ds.Tables("EGYPTBANK").Rows(BS.Position)("EBNK10").ToString
        End With
    End Sub
    Private Sub SumAmounEGYPTBALANCE()
        Dim Adp As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql As String = "SELECT Sum(EBNK5 - EBNK4)  FROM EGYPTBANK "
        con = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql, con)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX11.Text = Format(Val(ds.Tables(0).Rows(0).Item(0)), "Fixed")
        Else
            Me.TEXTBOX11.Text = "0"
        End If
        Adp.Dispose()
        con.Close()
    End Sub
    Private Sub SAVERECORD()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO EGYPTBANK(EBNK1, EBNK2, EBNK3, EBNK4, EBNK5, EBNK6, EBNK7, EBNK8, EBNK9, EBNK10) VALUES     (@EBNK1, @EBNK2, @EBNK3, @EBNK4, @EBNK5, @EBNK6, @EBNK7, @EBNK8, @EBNK9, @EBNK10)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@EBNK1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@EBNK2", SqlDbType.NVarChar).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@EBNK3", SqlDbType.DateTime).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@EBNK4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@EBNK5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@EBNK6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .Parameters.Add("@EBNK7", SqlDbType.NVarChar).Value = Me.TEXTBOX7.Text.Trim
            .Parameters.Add("@EBNK8", SqlDbType.NVarChar).Value = Me.TEXTBOX8.Text.Trim
            .Parameters.Add("@EBNK9", SqlDbType.NVarChar).Value = Me.TEXTBOX9.Text.Trim
            .Parameters.Add("@EBNK10", SqlDbType.NVarChar).Value = Me.TEXTBOX10.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub UPDATERECORD()
        On Error Resume Next
        Dim SQL As String = " Update EGYPTBANK SET  EBNK2 = @EBNK2, EBNK3 = @EBNK3, EBNK4 = @EBNK4, EBNK5 = @EBNK5, EBNK6 = @EBNK6, EBNK7 = @EBNK7, EBNK8 = @EBNK8, EBNK9 = @EBNK9, EBNK10 = @EBNK10 WHERE EBNK1 = @EBNK1"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        CMD.CommandType = CommandType.Text
        CMD.Connection = SqlConnection1
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@EBNK1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@EBNK2", SqlDbType.NVarChar).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@EBNK3", SqlDbType.DateTime).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@EBNK4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@EBNK5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@EBNK6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .Parameters.Add("@EBNK7", SqlDbType.NVarChar).Value = Me.TEXTBOX7.Text.Trim
            .Parameters.Add("@EBNK8", SqlDbType.NVarChar).Value = Me.TEXTBOX8.Text.Trim
            .Parameters.Add("@EBNK9", SqlDbType.NVarChar).Value = Me.TEXTBOX9.Text.Trim
            .Parameters.Add("@EBNK10", SqlDbType.NVarChar).Value = Me.TEXTBOX10.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub GETBANKNOWBALANCE()
        On Error Resume Next
        Dim n As Double
        Dim F As Double
        n = BS.Position
        BS.EndEdit()
        If BS.Position = 0 Then
            Me.TEXTBOX2.Text = 0
        ElseIf BS.Position > 0 Then
            'TEXTBOX6_SelectedIndexChanged(sender, e)
        End If
    End Sub
    Private Sub FIRSTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FIRSTBUTTON.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
    Private Sub PREVIOUSBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PREVIOUSBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
    Private Sub NEXTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NEXTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
    Private Sub LASTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LASTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
    Private Sub ADDBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ADDBUTTON.Click
        Dim n As Double
        Dim F As Double
        Dim s As Double
        n = BS.Count
        On Error Resume Next
        BS.Position = BS.Count - 1
        F = Val(TEXTBOX7.Text)
        s = Val(Me.TEXTBOX1.Text)
        BS.EndEdit()
        BS.AddNew()
        CLEARDATA1(Me)
        If n = 0 Then
            Me.TEXTBOX1.Text = 1
            Me.TEXTBOX2.Text = 0
        Else
            If n >= s Then
                Me.TEXTBOX1.Text = Val(n) + 1
            Else
                Me.TEXTBOX1.Text = Val(s) + 1
            End If
        End If
        Me.TEXTBOX4.Text = 0
        Me.TEXTBOX5.Text = 0
        Me.TEXTBOX3.Text = Today.ToString
        Me.TEXTBOX8.Text = " "
        Me.TEXTBOX10.Text = "  "
        TEXTBOX3.Focus()
    End Sub
    Private Sub SAVEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SAVEBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Count
        SAVERECORD()
        frmEGYPT_Load(sender, e)
        Me.BS.Position = P + 1
        RecordCount()
    End Sub
    Private Sub EDITBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EDITBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Position
        UPDATERECORD()
        frmEGYPT_Load(sender, e)
        Me.BS.Position = P
        RecordCount()
    End Sub
    Private Sub BUTTONCANCEL_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONCANCEL.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
    Private Sub DELETEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DELETEBUTTON.Click
        MYDELETERECORD("EGYPTBANK", "EBNK1", TEXTBOX1, BS, True)
        frmEGYPT_Load(sender, e)
    End Sub
    Private Sub PRINTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PRINTBUTTON.Click
        On Error Resume Next
        Dim rpt As New rptEgypt
        Dim F As New frmPRINT
        Dim txtFromDate As String
        Dim txtToDate As String
        txtFromDate = Format(Me.TEXTBOX12.Value, "yyyy, MM, dd, 00, 00, 00")
        txtToDate = Format(Me.TEXTBOX13.Value, "yyyy, MM, dd, 00, 00, 00")
        If (Me.TEXTBOX12.Checked) = False And (Me.TEXTBOX13.Checked) = False Then
            MessageBox.Show("        - ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
            Exit Sub
        End If
        If Me.RadioButton1.Checked = True Then
            If Len(Me.TEXTBOX14.Text) = 0 Then
                MessageBox.Show("        ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
                Me.TEXTBOX14.Focus()
                Exit Sub
            End If
            GETSERVERNAMEANDDATABASENAME(rpt, "ART", "", "")
            rpt.RecordSelectionFormula = "{EGYPTBANK.EBNK3} in DateTime (" & txtFromDate & ") to DateTime (" & txtToDate & ")AND {EGYPTBANK.EBNK6} like '" & Me.TEXTBOX14.Text & "'"
            Dim txt As TextObject
            txt = rpt.Section1.ReportObjects("Text10")
            txt.Text = "  " & Format(Me.TEXTBOX12.Value, "dd - MM - yyyy") & "  " & Format(Me.TEXTBOX13.Value, "dd - MM - yyyy")
            F.CrystalReportViewer1.ReportSource = rpt
            F.CrystalReportViewer1.Zoom(90%)
            F.CrystalReportViewer1.Refresh()
            F.Show()
        ElseIf Me.RadioButton2.Checked = True Then
            GETSERVERNAMEANDDATABASENAME(rpt, "ART", "", "")
            rpt.RecordSelectionFormula = "{EGYPTBANK.EBNK3} in DateTime (" & txtFromDate & ") to DateTime (" & txtToDate & ")"
            Dim txt As TextObject
            txt = rpt.Section1.ReportObjects("Text10")
            txt.Text = "  " & Format(Me.TEXTBOX12.Value, "dd - MM - yyyy") & "  " & Format(Me.TEXTBOX13.Value, "dd - MM - yyyy")
            F.CrystalReportViewer1.ReportSource = rpt
            F.CrystalReportViewer1.Zoom(90%)
            F.CrystalReportViewer1.Refresh()
            F.Show()
        End If
    End Sub
    Private Sub BALANCEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BALANCEBUTTON.Click
        Dim I As Integer
        On Error Resume Next
        Me.Cursor = Cursors.WaitCursor
        For I = 0 To BS.Count + 1
            BS.Position = I
            ProgressBar1.Visible = True
            ProgressBar1.Minimum = 1
            ProgressBar1.Maximum = BS.Count - 1
            ProgressBar1.Value = I
            If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
            GETBANKNOWBALANCE()
            EDITBUTTON_Click(sender, e)
        Next
        BS.Position = 0
        ProgressBar1.Visible = False
        Me.Cursor = Cursors.Default
    End Sub
    Private Sub RadioButton1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles RadioButton1.Click
        On Error Resume Next
        Me.TEXTBOX14.Enabled = True
    End Sub
    Private Sub RadioButton2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles RadioButton2.Click
        On Error Resume Next
        Me.TEXTBOX14.Enabled = False
    End Sub
    Private Sub TEXTBOX6_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX6.SelectedIndexChanged
        On Error Resume Next
        Dim con As New SqlClient.SqlConnection(constring)
        Dim strsq1 As String = "SELECT Sum(EGYPTBANK.EBNK4) AS SumDEBIT,Sum(EGYPTBANK.EBNK5) AS SumCREDIT FROM EGYPTBANK  WHERE (EGYPTBANK.EBNK6)='" & Me.TEXTBOX6.Text & "'AND EGYPTBANK.EBNK1 <'" & Me.TEXTBOX1.Text & "'"
        Dim ds As New DataSet
        Dim Adp1 As New SqlClient.SqlDataAdapter(strsq1, con)
        ds.Clear()
        Adp1.Fill(ds, "BANKS")
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX2.Text = Format(Val(ds.Tables(0).Rows(0).Item(1)) - Val(ds.Tables(0).Rows(0).Item(0)), "Fixed")
        Else
            Me.TEXTBOX2.Text = "0"
        End If
        Adp1.Dispose()
        con.Close()
    End Sub
    Private Sub TEXTBOX5_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TEXTBOX5.KeyPress
        On Error Resume Next
        If (e.KeyChar < "0" Or e.KeyChar > "9") And Asc(e.KeyChar) <> 8 And e.KeyChar <> "." Then
            e.Handled = True
        End If
    End Sub
    Private Sub TEXTBOX2_TextChanged1(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX2.TextChanged, TEXTBOX4.TextChanged, TEXTBOX5.TextChanged, TEXTBOX7.TextChanged, TEXTBOX6.TextChanged
        On Error Resume Next
        Me.TEXTBOX7.Text = Format(Val(TEXTBOX2.Text) + Val(TEXTBOX5.Text) - Val(TEXTBOX4.Text), "Fixed")
    End Sub
    Private Sub TEXTBOX12_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX12.KeyUp
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                Me.TEXTBOX13.Focus()
        End Select
    End Sub
    Private Sub TEXTBOX13_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX13.KeyDown
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                SendKeys.SendWait("{TAB}")
        End Select
    End Sub
    Private Sub TEXTBOX13_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX13.KeyUp
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                Me.PRINTBUTTON_Click(sender, e)
        End Select
    End Sub
End Class