Option Explicit Off
Public Class frmTelephone1
    Inherits System.Windows.Forms.Form
    Dim WithEvents BS As New BindingSource
    Dim ds As New DataSet
    Private Sub frmTELEPHONE1(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        SqlConnection1.ConnectionString = constring
        ds.EnforceConstraints = False
        SqlConnection1.Open()
        Dim str As String = "SELECT * FROM TELEPHONE ORDER BY TEL1"
        Dim strsql1 As String = "SELECT  TEL6 AS [],TEL5 AS [],TEL4 AS [],TEL3 AS [],TEL2 AS [], TEL1 AS []  FROM TELEPHONE "
        SqlDataAdapter1 = New SqlClient.SqlDataAdapter(str, SqlConnection1)
        ds.Clear()
        SqlDataAdapter1.Fill(ds, "TELEPHONE")
        BS.DataSource = ds
        BS.DataMember = "TELEPHONE"
        Me.ListBox1.DataSource = ds.Tables("TELEPHONE")
        Me.ListBox1.DisplayMember = "TEL2"
        Me.TEXTBOX5.DataSource = ds.Tables("TELEPHONE")
        Me.TEXTBOX5.DisplayMember = "TEL5"
        SqlDataAdapter1.Dispose()
        SqlConnection1.Close()
        ds.EnforceConstraints = True
        SHOWBUTTON()
        DISPLAYTREEVIEW()
        RecordCount()
        FORMATLISTVIEW()
        DISPLAYLISTVIEW(strsql1)
        FILLCOMBOBOX("TELEPHONE", "TEL5", Me.TEXTBOX5)
    End Sub
    Private Sub BS_PositionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BS.PositionChanged
        On Error Resume Next
        RecordCount()
    End Sub
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RECORDSLABEL.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds.Tables("TELEPHONE").Rows.Count - 1 Then
            Forward = True
        End If
        FIRSTBUTTON.Enabled = Back
        PREVIOUSBUTTON.Enabled = Back
        NEXTBUTTON.Enabled = Forward
        LASTBUTTON.Enabled = Forward
        DISPLAYRECORD()
    End Sub
    Private Sub SHOWBUTTON()
        On Error Resume Next
        Me.SAVEBUTTON.Enabled = BUTTONSAVE
        Me.EDITBUTTON.Enabled = BUTTONEDIT
        Me.DELETEBUTTON.Enabled = BUTTONDELETE
    End Sub
    Private Sub MAXRECORD()
        On Error Resume Next
        Dim V As Integer
        Dim SQL As String = "SELECT MAX(TEL1) FROM TELEPHONE"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
            SqlConnection1.Open()
            .CommandText = SQL
            V = .ExecuteScalar()
        End With
        Me.TEXTBOX1.Text = Val(V) + 1
        SqlConnection1.Close()
    End Sub
    Private Sub SAVERECORD()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO TELEPHONE(TEL1, TEL2, TEL3, TEL4, TEL5, TEL6) VALUES     (@TEL1, @TEL2, @TEL3, @TEL4, @TEL5, @TEL6)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@TEL1", SqlDbType.NVarChar).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@TEL2", SqlDbType.NVarChar).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@TEL3", SqlDbType.NVarChar).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@TEL4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@TEL5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@TEL6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub SEARCHUSERS()
        On Error Resume Next
        Dim con As New SqlClient.SqlConnection(constring)
        Dim strsq1 As String = "SELECT TEL2  FROM TELEPHONE  WHERE (TELEPHONE.TEL2)='" & Me.TEXTBOX2.Text & "'"
        Dim ds As New DataSet
        Dim Adp1 As New SqlClient.SqlDataAdapter(strsq1, con)
        ds.Clear()
        Adp1.Fill(ds, "TELEPHONE")
        If ds.Tables(0).Rows.Count >= 1 Then
            MessageBox.Show("    ", "  ", MessageBoxButtons.OK, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            Me.TEXTBOX2.Focus()
            flag = True
            Exit Sub
        End If
        Adp1.Dispose()
        con.Close()
    End Sub
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .TEXTBOX1.Text = ds.Tables("TELEPHONE").Rows(Me.BS.Position)("TEL1").ToString
            .TEXTBOX2.Text = ds.Tables("TELEPHONE").Rows(Me.BS.Position)("TEL2").ToString
            .TEXTBOX3.Text = ds.Tables("TELEPHONE").Rows(Me.BS.Position)("TEL3").ToString
            .TEXTBOX4.Text = ds.Tables("TELEPHONE").Rows(Me.BS.Position)("TEL4").ToString
            .TEXTBOX6.Text = ds.Tables("TELEPHONE").Rows(Me.BS.Position)("TEL6").ToString
            .TEXTBOX5.Text = ds.Tables("TELEPHONE").Rows(Me.BS.Position)("TEL5").ToString
        End With
    End Sub
    Private Sub UPDATERECORD()
        On Error Resume Next
        Dim SQL As String = " Update TELEPHONE SET  TEL2 = @TEL2, TEL3= @TEL3, TEL4 = @TEL4, TEL5 = @TEL5, TEL6 = @TEL6 WHERE TEL1 = @TEL1"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        CMD.CommandType = CommandType.Text
        CMD.Connection = SqlConnection1
        With CMD
            .Parameters.Add("@TEL1", SqlDbType.NVarChar).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@TEL2", SqlDbType.NVarChar).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@TEL3", SqlDbType.NVarChar).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@TEL4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@TEL5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@TEL6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
        End With
        CMD.CommandText = SQL
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub DISPLAYTREEVIEW()
        On Error Resume Next
        Dim I As Integer
        TreeView1.Nodes.Clear()
        ds.AcceptChanges()
        For I = 0 To ds.Tables("TELEPHONE").Rows.Count - 1
            TreeView1.Nodes.Add(ds.Tables("TELEPHONE").Rows(I).Item(1).ToString)
            TreeView1.Nodes(I).Nodes.Add(ds.Tables("TELEPHONE").Rows(I).Item(2).ToString)
        Next
    End Sub
    Private Sub DISPLAYLISTVIEW(ByVal SQL As String)
        On Error Resume Next
        Dim CON As New SqlClient.SqlConnection
        Dim COM As New SqlClient.SqlCommand
        Dim DR As SqlClient.SqlDataReader
        CON.ConnectionString = constring
        CON.Open()
        COM.Connection = CON
        COM.CommandType = CommandType.Text
        COM.CommandText = SQL
        DR = COM.ExecuteReader()
        ListView1.Clear()
        Dim i As Integer
        For i = 0 To DR.FieldCount - 1
            ListView1.Columns.Add(DR.GetName(i), 150, HorizontalAlignment.Center)
        Next
        Do While DR.Read()
            Dim M As New ListViewItem
            M.Text = DR(0)
            For i = 1 To DR.FieldCount - 1
                If IsDBNull(DR(i)) = False Then M.SubItems.Add(CStr(DR(i)))
            Next
            ListView1.Items.Add(M)
        Loop
        CON.Close()
    End Sub
    Private Sub FORMATLISTVIEW()
        On Error Resume Next
        Dim strsql1 As String = "SELECT  TEL6 AS [],TEL5 AS [],TEL4 AS [],TEL3 AS [],TEL2 AS [], TEL1 AS []  FROM TELEPHONE "
        Dim CON As New SqlClient.SqlConnection
        Dim COM As New SqlClient.SqlCommand
        Dim DR As SqlClient.SqlDataReader
        CON.ConnectionString = constring
        CON.Open()
        COM.Connection = CON
        COM.CommandType = CommandType.Text
        COM.CommandText = strsql1
        DR = COM.ExecuteReader()
        ListView1.Clear()
        Dim i As Integer
        For i = 0 To DR.FieldCount - 1
            ListView1.Columns.Add(DR.GetName(i), 150, HorizontalAlignment.Center)
        Next
        CON.Close()
    End Sub
    Private Sub FIRSTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FIRSTBUTTON.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
    Private Sub PREVIOUSBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PREVIOUSBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
    Private Sub NEXTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NEXTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
    Private Sub LASTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LASTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
    Private Sub ADDBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ADDBUTTON.Click
        On Error Resume Next
        CLEARDATA1(Me)
        MAXRECORD()
        TEXTBOX2.Focus()
    End Sub
    Private Sub SAVEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SAVEBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Count
        SEARCHUSERS()
        SAVERECORD()
        frmTELEPHONE1(sender, e)
        Me.BS.Position = P + 1
        RecordCount()
    End Sub
    Private Sub EDITBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EDITBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Position
        UPDATERECORD()
        frmTELEPHONE1(sender, e)
        Me.BS.Position = P
        RecordCount()
    End Sub
    Private Sub BUTTONCANCEL_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONCANCEL.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
    Private Sub DELETEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DELETEBUTTON.Click
        MYDELETERECORD("TELEPHONE", "TEL1", TEXTBOX1, BS, True)
        frmTELEPHONE1(sender, e)
    End Sub
    Private Sub CALLBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CALLBUTTON.Click
        On Error Resume Next
        tapiRequestMakeCall(TEXTBOX4.Text, "Dialer", "", "")
    End Sub
    Private Sub NETBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NETBUTTON.Click
        On Error Resume Next
        Dim CON As Integer
        Dim s As String
        s = InputBox("      ", " ", "http://www.")
        If Len(s) > 0 Then
            CON = ShellExecute(0, vbNullString, s, vbNullString, "C:\", SW_SHOWNORMAL)
        Else
            Exit Sub
        End If
    End Sub
    Private Sub EMAILBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EMAILBUTTON.Click
        On Error Resume Next
        Dim CON As Integer
        Dim s As String
        s = InputBox("      ", "  ")
        If Len(s) > 0 Then
            CON = ShellExecute(0, vbNullString, "mailto:" & s, vbNullString, "C:\", SW_SHOWNORMAL)
        Else
            Exit Sub
        End If
    End Sub
    Private Sub TreeView1_AfterSelect(ByVal sender As System.Object, ByVal e As System.Windows.Forms.TreeViewEventArgs) Handles TreeView1.AfterSelect
        Dim Adp As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql1 As String = "SELECT  TEL1,TEL2  FROM TELEPHONE WHERE TEL2 = '" & Me.TreeView1.SelectedNode.Text & "'"
        con = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql1, con)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            BS.Position = Val(ds.Tables(0).Rows(0).Item(0)) - 1
        End If
        Adp.Dispose()
        con.Close()
    End Sub
    Private Sub ListBox1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListBox1.SelectedIndexChanged
        On Error Resume Next
        Me.BS.Position = Me.ListBox1.SelectedIndex
        DISPLAYRECORD()
    End Sub
    Private Sub TEXTBOX2_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX2.KeyDown
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                SendKeys.SendWait("{TAB}")
        End Select
    End Sub
    Private Sub ListView1_SelectedIndexChanged1(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListView1.SelectedIndexChanged
        On Error Resume Next
        BS.Position = Val(ListView1.SelectedIndices(0).ToString)
    End Sub
End Class