Option Explicit Off
Imports CrystalDecisions.CrystalReports.Engine
Public Class frmDOLLAR
    Inherits System.Windows.Forms.Form
    Dim WithEvents BS As New BindingSource
    Private Sub frmDOLLAR_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        SqlConnection1.ConnectionString = constring
        ds.EnforceConstraints = False
        SqlConnection1.Open()
        Dim str As String = "SELECT * FROM DOLLARBANK ORDER BY DBNK1"
        SqlDataAdapter1 = New SqlClient.SqlDataAdapter(str, SqlConnection1)
        ds.Clear()
        SqlDataAdapter1.Fill(ds, "DOLLARBANK")
        BS.DataSource = ds
        BS.DataMember = "DOLLARBANK"
        ds.EnforceConstraints = True
        SqlDataAdapter1.Dispose()
        SqlConnection1.Close()
        FILLCOMBOBOX("DOLLARBANK", "DBNK6", Me.TEXTBOX17)
        FILLCOMBOBOX("DOLLARBANK", "DBNK6", Me.TEXTBOX6)
        FILLCOMBOBOX("DOLLARBANK", "DBNK8", Me.TEXTBOX8)
        SHOWBUTTON()
        SumAmounDOLLARBALANCE()
        RecordCount()
    End Sub
    Private Sub BS_PositionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BS.PositionChanged
        On Error Resume Next
        RecordCount()
    End Sub
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RECORDSLABEL.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds.Tables("DOLLARBANK").Rows.Count - 1 Then
            Forward = True
        End If
        FIRSTBUTTON.Enabled = Back
        PREVIOUSBUTTON.Enabled = Back
        NEXTBUTTON.Enabled = Forward
        LASTBUTTON.Enabled = Forward
        DISPLAYRECORD()
        SumAmounDOLLARBALANCE()
        Me.TEXTBOX20.Text = HANY(Me.TEXTBOX15.Text, "USA")
    End Sub
    Private Sub SHOWBUTTON()
        On Error Resume Next
        Me.SAVEBUTTON.Enabled = BUTTONSAVE
        Me.EDITBUTTON.Enabled = BUTTONEDIT
        Me.DELETEBUTTON.Enabled = BUTTONDELETE
    End Sub
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .TEXTBOX1.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK1").ToString
            .TEXTBOX2.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK2").ToString
            .TEXTBOX3.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK3").ToString
            .TEXTBOX4.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK4").ToString
            .TEXTBOX5.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK5").ToString
            .TEXTBOX6.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK6").ToString
            .TEXTBOX7.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK7").ToString
            .TEXTBOX8.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK8").ToString
            .TEXTBOX9.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK9").ToString
            .TEXTBOX10.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK10").ToString
            TEXTBOX11.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK11").ToString
            .TEXTBOX12.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK12").ToString
            TEXTBOX13.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK13").ToString
            .TEXTBOX14.Text = ds.Tables("DOLLARBANK").Rows(BS.Position)("DBNK14").ToString
        End With
    End Sub
   Private Sub SumAmounDOLLARBALANCE()
        Dim Adp As SqlClient.SqlDataAdapter
        Dim SqlConnection1 As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql As String = "SELECT  SUM(DBNK5-DBNK4),SUM(DBNK13-DBNK12) FROM DOLLARBANK GROUP BY DBNK6"
        SqlConnection1 = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql, SqlConnection1)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX15.Text = Format(Val(ds.Tables(0).Rows(0).Item(0)), "Fixed")
            Me.TEXTBOX16.Text = Format(Val(ds.Tables(0).Rows(0).Item(1)), "Fixed")
        Else
            Me.TEXTBOX15.Text = "0"
            Me.TEXTBOX16.Text = "0"
        End If
        Adp.Dispose()
        SqlConnection1.Close()
    End Sub
    Private Sub GETBANKNOWBALANCE()
        On Error Resume Next
        Dim n As Double
        Dim F As Double
        n = BS.Position
        BS.EndEdit()
        If BS.Position = 0 Then
            Me.TEXTBOX2.Text = 0
        ElseIf BS.Position > 0 Then
            F = 0
            BS.Position = BS.Position - 1
            F = Val(TEXTBOX7.Text)
            BS.Position = BS.Position + 1
            Me.TEXTBOX2.Text = F
        End If
    End Sub
 Private Sub SAVERECORD()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO DOLLARBANK(DBNK1, DBNK2, DBNK3, DBNK4, DBNK5, DBNK6, DBNK7, DBNK8, DBNK9, DBNK10, DBNK11, DBNK12, DBNK13, DBNK14) VALUES     (@DBNK1, @DBNK2, @DBNK3, @DBNK4, @DBNK5, @DBNK6, @DBNK7, @DBNK8, @DBNK9, @DBNK10, @DBNK11, @DBNK12, @DBNK13, @DBNK14)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@DBNK1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@DBNK2", SqlDbType.NVarChar).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@DBNK3", SqlDbType.DateTime).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@DBNK4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@DBNK5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@DBNK6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .Parameters.Add("@DBNK7", SqlDbType.NVarChar).Value = Me.TEXTBOX7.Text.Trim
            .Parameters.Add("@DBNK8", SqlDbType.NVarChar).Value = Me.TEXTBOX8.Text.Trim
            .Parameters.Add("@DBNK9", SqlDbType.NVarChar).Value = Me.TEXTBOX9.Text.Trim
            .Parameters.Add("@DBNK10", SqlDbType.NVarChar).Value = Me.TEXTBOX10.Text.Trim
            .Parameters.Add("@DBNK11", SqlDbType.NVarChar).Value = Me.TEXTBOX11.Text.Trim
            .Parameters.Add("@DBNK12", SqlDbType.NVarChar).Value = Me.TEXTBOX12.Text.Trim
            .Parameters.Add("@DBNK13", SqlDbType.NVarChar).Value = Me.TEXTBOX13.Text.Trim
            .Parameters.Add("@DBNK14", SqlDbType.NVarChar).Value = Me.TEXTBOX14.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub UPDATERECORD()
        On Error Resume Next
        Dim SQL As String = " Update DOLLARBANK SET  DBNK2 = @DBNK2, DBNK3 = @DBNK3, DBNK4 = @DBNK4, DBNK5 = @DBNK5, DBNK6 = @DBNK6, DBNK7 = @DBNK7, DBNK8 = @DBNK8, DBNK9 = @DBNK9, DBNK10 = @DBNK10, DBNK11 = @DBNK11,DBNK12 = @DBNK12, DBNK13 = @DBNK13, DBNK14 = @DBNK14 WHERE DBNK1 = @DBNK1"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        CMD.CommandType = CommandType.Text
        CMD.Connection = SqlConnection1
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@DBNK1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@DBNK2", SqlDbType.NVarChar).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@DBNK3", SqlDbType.DateTime).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@DBNK4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@DBNK5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@DBNK6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .Parameters.Add("@DBNK7", SqlDbType.NVarChar).Value = Me.TEXTBOX7.Text.Trim
            .Parameters.Add("@DBNK8", SqlDbType.NVarChar).Value = Me.TEXTBOX8.Text.Trim
            .Parameters.Add("@DBNK9", SqlDbType.NVarChar).Value = Me.TEXTBOX9.Text.Trim
            .Parameters.Add("@DBNK10", SqlDbType.NVarChar).Value = Me.TEXTBOX10.Text.Trim
            .Parameters.Add("@DBNK11", SqlDbType.NVarChar).Value = Me.TEXTBOX11.Text.Trim
            .Parameters.Add("@DBNK12", SqlDbType.NVarChar).Value = Me.TEXTBOX12.Text.Trim
            .Parameters.Add("@DBNK13", SqlDbType.NVarChar).Value = Me.TEXTBOX13.Text.Trim
            .Parameters.Add("@DBNK14", SqlDbType.NVarChar).Value = Me.TEXTBOX14.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
   Private Sub FIRSTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FIRSTBUTTON.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
    Private Sub PREVIOUSBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PREVIOUSBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
    Private Sub NEXTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NEXTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
    Private Sub LASTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LASTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
    Private Sub ADDBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ADDBUTTON.Click
        Dim n As Double
        Dim F As Double
        n = BS.Count
        Dim s As Integer
        On Error Resume Next
        BS.Position = BS.Count - 1
        F = Val(TEXTBOX7.Text)
        s = Val(Me.TEXTBOX1.Text)
        BS.EndEdit()
        BS.AddNew()
        CLEARDATA1(Me)
        If n = 0 Then
            Me.TEXTBOX1.Text = 1
            Me.TEXTBOX2.Text = 0
        Else
            If n >= s Then
                Me.TEXTBOX1.Text = Val(n) + 1
                Me.TEXTBOX2.Text = F
            Else
                Me.TEXTBOX1.Text = Val(s) + 1
                Me.TEXTBOX2.Text = F
            End If
        End If
        Me.TEXTBOX4.Text = 0
        Me.TEXTBOX5.Text = 0
        Me.TEXTBOX3.Text = Today.ToString
        Me.TEXTBOX6.Text = "11-55555-777"
        Me.TEXTBOX8.Text = " "
        Me.TEXTBOX10.Text = "  "
        TEXTBOX3.Focus()
    End Sub
    Private Sub SAVEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SAVEBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Count
        SAVERECORD()
        frmDOLLAR_Load(sender, e)
        Me.BS.Position = P + 1
        RecordCount()
    End Sub
    Private Sub EDITBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EDITBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Position
        UPDATERECORD()
        frmDOLLAR_Load(sender, e)
        Me.BS.Position = P
        RecordCount()
    End Sub
    Private Sub BUTTONCANCEL_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONCANCEL.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
    Private Sub DELETEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DELETEBUTTON.Click
        MYDELETERECORD("DOLLARBANK", "DBNK1", TEXTBOX1, BS, True)
        frmDOLLAR_Load(sender, e)
    End Sub
    Private Sub PRINTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PRINTBUTTON.Click
        On Error Resume Next
        Dim rpt As New rptDollar
        Dim F As New frmPRINT
        Dim txtFromDate As String
        Dim txtToDate As String
        txtFromDate = Format(Me.TEXTBOX18.Value, "yyyy, MM, dd, 00, 00, 00")
        txtToDate = Format(Me.TEXTBOX19.Value, "yyyy, MM, dd, 00, 00, 00")
        If (Me.TEXTBOX18.Checked) = False And (Me.TEXTBOX19.Checked) = False Then
            MessageBox.Show("        - ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
            Exit Sub
        End If

        If Len(Me.TEXTBOX17.Text) = 0 Then
            MessageBox.Show("        ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
            Me.TEXTBOX17.Focus()
            Exit Sub
        End If
        GETSERVERNAMEANDDATABASENAME(rpt, "ART", "", "")
        rpt.RecordSelectionFormula = "{DOLLARBANK.DBNK3} in DateTime (" & txtFromDate & ") to DateTime (" & txtToDate & ")AND {DOLLARBANK.DBNK6} like '" & Me.TEXTBOX17.Text & "'"
        Dim txt As TextObject
        txt = rpt.Section1.ReportObjects("Text10")
        txt.Text = "  " & Format(Me.TEXTBOX18.Value, "dd - MM - yyyy") & "  " & Format(Me.TEXTBOX19.Value, "dd - MM - yyyy")
        F.CrystalReportViewer1.ReportSource = rpt
        F.CrystalReportViewer1.Zoom(92%)
        F.CrystalReportViewer1.Refresh()
        F.Show()
    End Sub
    Private Sub BALANCEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BALANCEBUTTON.Click
        Dim I As Integer
        On Error Resume Next
        Me.Cursor = Cursors.WaitCursor
        For I = 0 To BS.Count + 1
            BS.Position = I
            ProgressBar1.Visible = True
            ProgressBar1.Minimum = 1
            ProgressBar1.Maximum = BS.Count - 1
            ProgressBar1.Value = I
            If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
            GETBANKNOWBALANCE()
            EDITBUTTON_Click(sender, e)
        Next
        BS.Position = 0
        ProgressBar1.Visible = False
        Me.Cursor = Cursors.Default
    End Sub
    Private Sub TEXTBOX3_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX3.KeyDown
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                SendKeys.SendWait("{TAB}")
        End Select
    End Sub
    Private Sub TEXTBOX3_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TEXTBOX3.KeyPress
        On Error Resume Next
        If (e.KeyChar < "0" Or e.KeyChar > "9") And Asc(e.KeyChar) <> 8 And e.KeyChar <> "." Then
            e.Handled = True
        End If
    End Sub
    Private Sub TEXTBOX2_TextChanged1(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX2.TextChanged, TEXTBOX11.TextChanged, TEXTBOX17.TextChanged, TEXTBOX12.TextChanged, TEXTBOX13.TextChanged, TEXTBOX14.TextChanged, TEXTBOX4.TextChanged, TEXTBOX5.TextChanged
        On Error Resume Next
        Me.TEXTBOX7.Text = Format(Val(TEXTBOX2.Text) + Val(TEXTBOX5.Text) - Val(TEXTBOX4.Text), "Fixed")
        Me.TEXTBOX12.Text = Format(Val(TEXTBOX4.Text) * Val(TEXTBOX11.Text), "Fixed")
        Me.TEXTBOX13.Text = Format(Val(TEXTBOX5.Text) * Val(TEXTBOX11.Text), "Fixed")
        Me.TEXTBOX14.Text = Format(Val(TEXTBOX13.Text) - Val(TEXTBOX12.Text), "Fixed")
    End Sub
    Private Sub TEXTBOX19_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX19.KeyUp
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                Me.PRINTBUTTON_Click(sender, e)
        End Select
    End Sub
    Private Sub TEXTBOX18_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX18.KeyUp
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                Me.TEXTBOX19.Focus()
        End Select
    End Sub
    Private Sub TEXTBOX6_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX6.SelectedIndexChanged
        On Error Resume Next
        Me.TEXTBOX9.Text = CStr(Me.TEXTBOX6.Text)
    End Sub
End Class