Option Explicit Off
Imports CrystalDecisions.CrystalReports.Engine
Imports System.Data.Common
Imports System.IO
Public Class frmCUSTOMER11
    Inherits System.Windows.Forms.Form
    Dim ds1 As New DataSet
    Dim fprint As Boolean = True
    Dim WithEvents BS As New BindingSource
    Private Sub frmCUSTOMER11_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        SqlConnection1.ConnectionString = constring
        ds1.EnforceConstraints = False
        SqlConnection1.Open()
        Dim str1 As String = "SELECT * FROM CABLESCUSTOMSEMPLOYEES ORDER BY CEMP1 "
        Dim str2 As String = "SELECT * FROM CABLESCOSTCUSTOMS ORDER BY CCUST1 "
        Dim str3 As String = "SELECT * FROM CABLESEMPLOYEES ORDER BY CEMP1 "
        SqlDataAdapter1 = New SqlClient.SqlDataAdapter(str1, SqlConnection1)
        SqlDataAdapter2 = New SqlClient.SqlDataAdapter(str2, SqlConnection1)
        SqlDataAdapter3 = New SqlClient.SqlDataAdapter(str3, SqlConnection1)
        ds1.Clear()
        SqlDataAdapter1.Fill(ds1, "CABLESCUSTOMSEMPLOYEES")
        SqlDataAdapter2.Fill(ds1, "CABLESCOSTCUSTOMS")
        SqlDataAdapter3.Fill(ds1, "CABLESEMPLOYEES")
        ds1.Relations.Add("REL1", ds1.Tables("CABLESCUSTOMSEMPLOYEES").Columns("CEMP3"), ds1.Tables("CABLESCOSTCUSTOMS").Columns("CEMP3"), True)
        ds1.Relations.Add("REL2", ds1.Tables("CABLESCUSTOMSEMPLOYEES").Columns("CEMP3"), ds1.Tables("CABLESEMPLOYEES").Columns("CEMP3"), True)
        BS.DataSource = ds1
        BS.DataMember = "CABLESCUSTOMSEMPLOYEES"
        Me.DataGridView1.DataSource = BS
        Me.DataGridView1.DataMember = "REL1"
        Me.DataGridView2.DataSource = BS
        Me.DataGridView2.DataMember = "REL2"
        Me.TEXTBOX24.DataSource = BS
        Me.TEXTBOX24.DisplayMember = "CEMP3"
        BUTTON1_Click(sender, e)
        ds1.EnforceConstraints = True
        SqlDataAdapter1.Dispose()
        SqlDataAdapter2.Dispose()
        SqlDataAdapter3.Dispose()
        SqlConnection1.Close()
        FILLCOMBOBOX("BASICDATA", "BDATA2", Me.TEXTBOX5)
        FILLCOMBOBOX("BASICDATA", "BDATA3", Me.TEXTBOX7)
        FILLCOMBOBOX("BASICDATA", "BDATA4", Me.TEXTBOX10)
        FILLCOMBOBOX("CABLESCUSTOMSEMPLOYEES", "CEMP16", Me.TEXTBOX16)
        SHOWBUTTON()
        SumAmounCABLESCOSTCUSTOMSt()
        SumAmounCABLESEMPLOYEES()
        SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
        RecordCount()
    End Sub
    Private Sub SumAmounCABLESCOSTCUSTOMSt()
        Dim Adp As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql As String = "SELECT Sum(CCUST2) AS SUMSUBTOTALS FROM CABLESCOSTCUSTOMS WHERE CEMP3 = " & Me.TEXTBOX3.Text & " GROUP BY CEMP3"
        con = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql, con)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX17.Text = Format(ds.Tables(0).Rows(0).Item(0), "Fixed")
        End If
        Adp.Dispose()
        con.Close()
    End Sub
    Private Sub SumAmounCABLESEMPLOYEES()
        Dim Adp As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql As String = "SELECT Sum(CEMP2) AS SUMSUBTOTALS FROM CABLESEMPLOYEES WHERE CEMP3 = " & Me.TEXTBOX3.Text & " GROUP BY CEMP3"
        con = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql, con)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX18.Text = Format(ds.Tables(0).Rows(0).Item(0), "Fixed")
        End If
        Adp.Dispose()
        con.Close()
    End Sub
    Private Sub SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
        Dim Adp As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql As String = "SELECT Sum(CCUST2) AS SUMSUBTOTALSFOLLOWACCOUNT FROM CABLESCOSTCUSTOMS WHERE CEMP3 =" & Me.TEXTBOX3.Text & "AND CCUST5=1 GROUP BY CEMP3"
        con = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql, con)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX22.Text = Format(Val(ds.Tables(0).Rows(0).Item(0)) - Val(Me.TEXTBOX15.Text), "Fixed")
            TEXTBOX23.Text = Format(Val(Me.TEXTBOX17.Text) - Val(Me.TEXTBOX22.Text), "Fixed")
        Else
            Me.TEXTBOX22.Text = "0"
            TEXTBOX23.Text = Format(Val(Me.TEXTBOX17.Text), "Fixed")
        End If
        Adp.Dispose()
        con.Close()
    End Sub
    Private Sub BS_PositionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BS.PositionChanged
        On Error Resume Next
        RecordCount()
    End Sub
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RECORDSLABEL.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows.Count - 1 Then
            Forward = True
        End If
        FIRSTBUTTON.Enabled = Back
        PREVIOUSBUTTON.Enabled = Back
        NEXTBUTTON.Enabled = Forward
        LASTBUTTON.Enabled = Forward
        SumAmounCABLESCOSTCUSTOMSt()
        SumAmounCABLESEMPLOYEES()
        SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
        TEXTBOX13CHANGED()
        DISPLAYRECORD()
    End Sub
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .TEXTBOX1.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP1").ToString
            .TEXTBOX2.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP2").ToString
            .TEXTBOX3.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP3").ToString
            .TEXTBOX4.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP4").ToString
            .TEXTBOX5.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP5").ToString
            .TEXTBOX6.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP6").ToString
            .TEXTBOX7.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP7").ToString
            .TEXTBOX8.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP8").ToString
            .TEXTBOX9.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP9").ToString
            .TEXTBOX10.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP10").ToString
            .TEXTBOX11.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP11").ToString
            .TEXTBOX12.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP12").ToString
            .TEXTBOX13.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP13").ToString
            .TEXTBOX14.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP14").ToString
            .TEXTBOX15.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP15").ToString
            .TEXTBOX16.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP16").ToString
            .TEXTBOX17.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP17").ToString
            .TEXTBOX18.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP18").ToString
            .TEXTBOX19.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP19").ToString
            .TEXTBOX20.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP20").ToString
            .TEXTBOX21.Checked = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP21").ToString
            .TEXTBOX22.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP22").ToString
            .TEXTBOX23.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP23").ToString
            .TEXTBOX25.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP24").ToString
            .TEXTBOX26.Text = ds1.Tables("CABLESCUSTOMSEMPLOYEES").Rows(BS.Position)("CEMP25").ToString
        End With
    End Sub
    Private Sub SHOWBUTTON()
        On Error Resume Next
        Me.SAVEBUTTON.Enabled = BUTTONSAVE
        Me.EDITBUTTON.Enabled = BUTTONEDIT
        Me.DELETEBUTTON.Enabled = BUTTONDELETE
    End Sub
    Private Sub UPDATEDATA()
        On Error Resume Next
        Dim sql As String = "UPDATE CABLES SET CAB3 = @CAB3, CAB5 = @CAB5, CAB6 = @CAB6, CAB8 = @CAB8, CAB9 = @CAB9 WHERE CAB8 = '" & Me.TEXTBOX3.Text & "'"
        Dim cmd As New SqlClient.SqlCommand(sql, SqlConnection1)
        cmd.Parameters.Add("@CAB3", SqlDbType.DateTime).Value = Me.TEXTBOX2.Text
        cmd.Parameters.Add("@CAB5", SqlDbType.Float).Value = Me.TEXTBOX17.Text
        cmd.Parameters.Add("@CAB6", SqlDbType.NVarChar).Value = " "
        cmd.Parameters.Add("@CAB8", SqlDbType.NVarChar).Value = Me.TEXTBOX3.Text
        cmd.Parameters.Add("@CAB9", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        cmd.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub DELETEDATA()
        On Error Resume Next
        Dim sql As String = "DELETE FROM CABLES  WHERE CAB8 = '" & Me.TEXTBOX3.Text & "'"
        Dim cmd As New SqlClient.SqlCommand(sql, SqlConnection1)
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        cmd.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub INSERTDATA()
        On Error Resume Next
        Dim N As Double
        Dim cmd1 As New SqlClient.SqlCommand("SELECT MAX(CAB1) FROM CABLES", SqlConnection1)
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        N = cmd1.ExecuteScalar
        SqlConnection1.Close()
        Dim sql As String = "INSERT INTO CABLES(CAB1, CAB3, CAB5, CAB6, CAB8, CAB9) VALUES  (@CAB1, @CAB3, @CAB5, @CAB6, @CAB8, @CAB9)"
        Dim cmd As New SqlClient.SqlCommand(sql, SqlConnection1)
        cmd.Parameters.Add("@CAB1", SqlDbType.Int).Value = Val(N) + 1
        cmd.Parameters.Add("@CAB3", SqlDbType.DateTime).Value = Me.TEXTBOX2.Text
        cmd.Parameters.Add("@CAB5", SqlDbType.Float).Value = Me.TEXTBOX17.Text
        cmd.Parameters.Add("@CAB6", SqlDbType.NVarChar).Value = " "
        cmd.Parameters.Add("@CAB8", SqlDbType.NVarChar).Value = Me.TEXTBOX3.Text
        cmd.Parameters.Add("@CAB9", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        cmd.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub SaveCABLESCUSTOMSEMPLOYEES()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO CABLESCUSTOMSEMPLOYEES (CEMP1, CEMP2, CEMP3, CEMP4, CEMP5, CEMP6, CEMP7, CEMP8, CEMP9, CEMP10, CEMP11, CEMP12, CEMP13, CEMP14, CEMP15, CEMP16, CEMP17, CEMP18, CEMP19, CEMP20, CEMP21, CEMP22, CEMP23, CEMP24, CEMP25) VALUES     (@CEMP1, @CEMP2, @CEMP3, @CEMP4, @CEMP5, @CEMP6, @CEMP7, @CEMP8, @CEMP9, @CEMP10, @CEMP11, @CEMP12, @CEMP13, @CEMP14, @CEMP15, @CEMP16, @CEMP17, @CEMP18, @CEMP19, @CEMP20, @CEMP21, @CEMP22, @CEMP23, @CEMP24, @CEMP25)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@CEMP1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@CEMP2", SqlDbType.DateTime).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@CEMP3", SqlDbType.Int).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@CEMP4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@CEMP5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@CEMP6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .Parameters.Add("@CEMP7", SqlDbType.NVarChar).Value = Me.TEXTBOX7.Text.Trim
            .Parameters.Add("@CEMP8", SqlDbType.NVarChar).Value = Me.TEXTBOX8.Text.Trim
            .Parameters.Add("@CEMP9", SqlDbType.NVarChar).Value = Me.TEXTBOX9.Text.Trim
            .Parameters.Add("@CEMP10", SqlDbType.NVarChar).Value = Me.TEXTBOX10.Text.Trim
            .Parameters.Add("@CEMP11", SqlDbType.DateTime).Value = Me.TEXTBOX11.Text.Trim
            .Parameters.Add("@CEMP12", SqlDbType.DateTime).Value = Me.TEXTBOX12.Text.Trim
            .Parameters.Add("@CEMP13", SqlDbType.NVarChar).Value = Me.TEXTBOX13.Text.Trim
            .Parameters.Add("@CEMP14", SqlDbType.NVarChar).Value = Me.TEXTBOX14.Text.Trim
            .Parameters.Add("@CEMP15", SqlDbType.NVarChar).Value = Me.TEXTBOX15.Text.Trim
            .Parameters.Add("@CEMP16", SqlDbType.NVarChar).Value = Me.TEXTBOX16.Text.Trim
            .Parameters.Add("@CEMP17", SqlDbType.NVarChar).Value = Me.TEXTBOX17.Text.Trim
            .Parameters.Add("@CEMP18", SqlDbType.NVarChar).Value = Me.TEXTBOX18.Text.Trim
            .Parameters.Add("@CEMP19", SqlDbType.NVarChar).Value = Me.TEXTBOX19.Text.Trim
            .Parameters.Add("@CEMP20", SqlDbType.NVarChar).Value = Me.TEXTBOX20.Text.Trim
            .Parameters.Add("@CEMP21", SqlDbType.Bit).Value = Convert.ToInt32(TEXTBOX21.Checked)
            .Parameters.Add("@CEMP22", SqlDbType.NVarChar).Value = Me.TEXTBOX22.Text.Trim
            .Parameters.Add("@CEMP23", SqlDbType.NVarChar).Value = Me.TEXTBOX23.Text.Trim
            .Parameters.Add("@CEMP24", SqlDbType.NVarChar).Value = Me.TEXTBOX25.Text.Trim
            .Parameters.Add("@CEMP25", SqlDbType.NVarChar).Value = Me.TEXTBOX26.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub SaveCABLESCOSTCUSTOMS()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO CABLESCOSTCUSTOMS (CCUST1, CCUST2, CCUST3, CCUST4, CCUST5, CEMP3) VALUES     (@CCUST1, @CCUST2, @CCUST3, @CCUST4, @CCUST5, @CEMP3)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@CCUST", SqlDbType.Int, 4, "CCUST")
            .Parameters.Add("@CCUST1", SqlDbType.Int, 4, "CCUST1")
            .Parameters.Add("@CCUST2", SqlDbType.Float, 8, "CCUST2")
            .Parameters.Add("@CCUST3", SqlDbType.NVarChar, 255, "CCUST3")
            .Parameters.Add("@CCUST4", SqlDbType.NVarChar, 255, "CCUST4")
            .Parameters.Add("@CCUST5", SqlDbType.Bit, 1, "CCUST5")
            .Parameters.Add("@CEMP3", SqlDbType.Int, 4, "CEMP3")
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        SqlDataAdapter2.TableMappings.AddRange(New DataTableMapping() {New DataTableMapping("Table", "CABLESCOSTCUSTOMS", New DataColumnMapping() {New DataColumnMapping("CCUST1", "CCUST1"), New DataColumnMapping("CCUST2", "CCUST2"), New DataColumnMapping("CCUST3", "CCUST3"), New DataColumnMapping("CCUST4", "CCUST4"), New DataColumnMapping("CCUST5", "CCUST5"), New DataColumnMapping("CEMP3", "CEMP3"), New DataColumnMapping("CCUST", "CCUST")})})
        SqlDataAdapter2.InsertCommand = CMD
        SqlDataAdapter2.Update(ds1, "CABLESCOSTCUSTOMS")
        SqlConnection1.Close()
    End Sub
    Private Sub UPDATECABLESCUSTOMSEMPLOYEES()
        On Error Resume Next
        Dim SQL As String = " Update CABLESCUSTOMSEMPLOYEES SET   CEMP1 = @CEMP1, CEMP2 = @CEMP2, CEMP3 = @CEMP3, CEMP4 = @CEMP4, CEMP5 = @CEMP5, CEMP6 = @CEMP6, CEMP7 = @CEMP7, CEMP8 = @CEMP8, CEMP9 = @CEMP9, CEMP10 = @CEMP10, CEMP11 = @CEMP11, CEMP12 = @CEMP12, CEMP13 = @CEMP13, CEMP14 = @CEMP14, CEMP15 = @CEMP15, CEMP16 = @CEMP16, CEMP17 = @CEMP17, CEMP18 = @CEMP18, CEMP19 = @CEMP19, CEMP20 = @CEMP20, CEMP21 = @CEMP21, CEMP22 = @CEMP22, CEMP23 = @CEMP23, CEMP24 = @CEMP24, CEMP25 = @CEMP25 WHERE  CEMP1 = @CEMP1"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@CEMP1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@CEMP2", SqlDbType.DateTime).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@CEMP3", SqlDbType.Int).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@CEMP4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@CEMP5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@CEMP6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .Parameters.Add("@CEMP7", SqlDbType.NVarChar).Value = Me.TEXTBOX7.Text.Trim
            .Parameters.Add("@CEMP8", SqlDbType.NVarChar).Value = Me.TEXTBOX8.Text.Trim
            .Parameters.Add("@CEMP9", SqlDbType.NVarChar).Value = Me.TEXTBOX9.Text.Trim
            .Parameters.Add("@CEMP10", SqlDbType.NVarChar).Value = Me.TEXTBOX10.Text.Trim
            .Parameters.Add("@CEMP11", SqlDbType.DateTime).Value = Me.TEXTBOX11.Text.Trim
            .Parameters.Add("@CEMP12", SqlDbType.DateTime).Value = Me.TEXTBOX12.Text.Trim
            .Parameters.Add("@CEMP13", SqlDbType.NVarChar).Value = Me.TEXTBOX13.Text.Trim
            .Parameters.Add("@CEMP14", SqlDbType.NVarChar).Value = Me.TEXTBOX14.Text.Trim
            .Parameters.Add("@CEMP15", SqlDbType.NVarChar).Value = Me.TEXTBOX15.Text.Trim
            .Parameters.Add("@CEMP16", SqlDbType.NVarChar).Value = Me.TEXTBOX16.Text.Trim
            .Parameters.Add("@CEMP17", SqlDbType.NVarChar).Value = Me.TEXTBOX17.Text.Trim
            .Parameters.Add("@CEMP18", SqlDbType.NVarChar).Value = Me.TEXTBOX18.Text.Trim
            .Parameters.Add("@CEMP19", SqlDbType.NVarChar).Value = Me.TEXTBOX19.Text.Trim
            .Parameters.Add("@CEMP20", SqlDbType.NVarChar).Value = Me.TEXTBOX20.Text.Trim
            .Parameters.Add("@CEMP21", SqlDbType.Bit).Value = Convert.ToInt32(TEXTBOX21.Checked)
            .Parameters.Add("@CEMP22", SqlDbType.NVarChar).Value = Me.TEXTBOX22.Text.Trim
            .Parameters.Add("@CEMP23", SqlDbType.NVarChar).Value = Me.TEXTBOX23.Text.Trim
            .Parameters.Add("@CEMP24", SqlDbType.NVarChar).Value = Me.TEXTBOX25.Text.Trim
            .Parameters.Add("@CEMP25", SqlDbType.NVarChar).Value = Me.TEXTBOX26.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub UPDATECABLESCOSTCUSTOMS()
        On Error Resume Next
        Dim SQL As String = "Update CABLESCOSTCUSTOMS SET  CCUST1 = @CCUST1, CCUST2 = @CCUST2, CCUST3 = @CCUST3, CCUST4 = @CCUST4, CCUST5 = @CCUST5, CEMP3 = @CEMP3 WHERE  CCUST = @CCUST"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@CCUST", SqlDbType.Int, 4, "CCUST")
            .Parameters.Add("@CCUST1", SqlDbType.Int, 4, "CCUST1")
            .Parameters.Add("@CCUST2", SqlDbType.Float, 8, "CCUST2")
            .Parameters.Add("@CCUST3", SqlDbType.NVarChar, 255, "CCUST3")
            .Parameters.Add("@CCUST4", SqlDbType.NVarChar, 255, "CCUST4")
            .Parameters.Add("@CCUST5", SqlDbType.Bit, 1, "CCUST5")
            .Parameters.Add("@CEMP3", SqlDbType.Int, 4, "CEMP3")
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        SqlDataAdapter2.TableMappings.AddRange(New DataTableMapping() {New DataTableMapping("Table", "CABLESCOSTCUSTOMS", New DataColumnMapping() {New DataColumnMapping("CCUST1", "CCUST1"), New DataColumnMapping("CCUST2", "CCUST2"), New DataColumnMapping("CCUST3", "CCUST3"), New DataColumnMapping("CCUST4", "CCUST4"), New DataColumnMapping("CCUST5", "CCUST5"), New DataColumnMapping("CEMP3", "CEMP3"), New DataColumnMapping("CCUST", "CCUST")})})
        SqlDataAdapter2.UpdateCommand = CMD
        SqlDataAdapter2.Update(ds1, "CABLESCOSTCUSTOMS")
        SqlConnection1.Close()
    End Sub
    Private Sub UPDATECABLESEMPLOYEES()
        On Error Resume Next
        Dim SQL As String = "Update CABLESEMPLOYEES SET   CEMP1 = @CEMP1, CEMP2 = @CEMP2, CEMP3 = @CEMP3, CEMP4 = @CEMP4 WHERE  CEMP = @CEMP"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@CEMP", SqlDbType.Int, 4, "CEMP")
            .Parameters.Add("@CEMP1", SqlDbType.Int, 4, "CEMP1")
            .Parameters.Add("@CEMP2", SqlDbType.Float, 8, "CEMP2")
            .Parameters.Add("@CEMP3", SqlDbType.Int, 4, "CEMP3")
            .Parameters.Add("@CEMP4", SqlDbType.NVarChar, 255, "CEMP4")
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        SqlDataAdapter3.TableMappings.AddRange(New DataTableMapping() {New DataTableMapping("Table", "CABLESEMPLOYEES", New DataColumnMapping() {New DataColumnMapping("CEMP1", "CEMP1"), New DataColumnMapping("CEMP2", "CEMP2"), New DataColumnMapping("CEMP3", "CEMP3"), New DataColumnMapping("CEMP4", "CEMP4"), New DataColumnMapping("CEMP", "CEMP")})})
        SqlDataAdapter3.UpdateCommand = CMD
        SqlDataAdapter3.Update(ds1, "CABLESEMPLOYEES")
        SqlConnection1.Close()
    End Sub
    Private Sub SaveCABLESEMPLOYEES()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO CABLESEMPLOYEES (CEMP1, CEMP2, CEMP3, CEMP4) VALUES     (@CEMP1, @CEMP2, @CEMP3, @CEMP4)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@CEMP", SqlDbType.Int, 4, "CEMP")
            .Parameters.Add("@CEMP1", SqlDbType.Int, 4, "CEMP1")
            .Parameters.Add("@CEMP2", SqlDbType.Float, 8, "CEMP2")
            .Parameters.Add("@CEMP3", SqlDbType.Int, 4, "CEMP3")
            .Parameters.Add("@CEMP4", SqlDbType.NVarChar, 255, "CEMP4")
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        SqlDataAdapter3.TableMappings.AddRange(New DataTableMapping() {New DataTableMapping("Table", "CABLESEMPLOYEES", New DataColumnMapping() {New DataColumnMapping("CEMP1", "CEMP1"), New DataColumnMapping("CEMP2", "CEMP2"), New DataColumnMapping("CEMP3", "CEMP3"), New DataColumnMapping("CEMP4", "CEMP4"), New DataColumnMapping("CEMP", "CEMP")})})
        SqlDataAdapter3.InsertCommand = CMD
        SqlDataAdapter3.Update(ds1, "CABLESEMPLOYEES")
        SqlConnection1.Close()
    End Sub
    Private Sub frmCABLESCUSTOMSEMPLOYEES_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Activated
        On Error Resume Next
        RecordCount()
        If frmDATALIST Is Nothing = True Then
        Else
            If Me.DataGridView1.CurrentCell.ColumnIndex = 4 Then
                Me.DataGridView1.CurrentRow.Cells(4).Value = frmDATALIST.Tag
            End If
        End If
    End Sub
    Private Sub TEXTBOX13CHANGED()
        On Error Resume Next
        Select Case Me.TEXTBOX13.Text
            Case " "
                Me.TEXTBOX15.Enabled = False
            Case ""
                Me.TEXTBOX15.Enabled = True
            Case "  "
                Me.TEXTBOX15.Enabled = True
        End Select
    End Sub
    Private Sub BUTTON1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTON1.Click
        On Error Resume Next
        fprint = True
        Me.DataGridView1.Visible = True
        Me.DataGridView2.Visible = False
        Me.TEXTBOX17.Visible = True
        Me.TEXTBOX18.Visible = False
        Me.TEXTBOX19.Visible = True
        Me.TEXTBOX20.Visible = False
        Me.Label17.Visible = False
        Me.Label18.Visible = True
    End Sub
    Private Sub BUTTON2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTON2.Click
        On Error Resume Next
        fprint = False
        Me.DataGridView1.Visible = False
        Me.DataGridView2.Visible = True
        Me.TEXTBOX17.Visible = False
        Me.TEXTBOX18.Visible = True
        Me.TEXTBOX19.Visible = False
        Me.TEXTBOX20.Visible = True
        Me.Label18.Visible = False
        Me.Label17.Visible = True
    End Sub
    Private Sub TRANSFERBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TRANSFERBUTTON.Click
        On Error Resume Next
        If Me.TEXTBOX21.Checked = False Then
            resault = MessageBox.Show("       ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            If resault = vbYes Then
                INSERTDATA()
                Me.TEXTBOX21.Checked = True
                EDITBUTTON_Click(sender, e)
            Else
                Exit Sub
            End If
        Else
            resault = MessageBox.Show("         " & " " & "     ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            If resault = vbYes Then
                UPDATEDATA()
            Else
                resault = MessageBox.Show("        ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
                If resault = vbYes Then
                    DELETEDATA()
                    Me.TEXTBOX21.Checked = False
                    EDITBUTTON_Click(sender, e)
                Else
                    Exit Sub
                End If
            End If
        End If
    End Sub
    Private Sub PRINTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PRINTBUTTON.Click
        On Error Resume Next
        On Error Resume Next
        Dim F As New frmPRINT
        If fprint = True Then
            If Len(Me.TEXTBOX3.Text) = 0 Then
                MessageBox.Show("        ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
                Me.TEXTBOX3.Focus()
                Exit Sub
            End If
            Dim rpt2 As New rptCustomer1
            GETSERVERNAMEANDDATABASENAME(rpt2, "ART", "", "")
            rpt2.RecordSelectionFormula = "{CABLESCUSTOMSEMPLOYEES.CEMP3}=" & Me.TEXTBOX3.Text
            F.CrystalReportViewer1.ReportSource = rpt2
            F.CrystalReportViewer1.Zoom(90%)
            F.CrystalReportViewer1.Refresh()
            F.Show()
        ElseIf fprint = False Then
            If Len(Me.TEXTBOX3.Text) = 0 Then
                MessageBox.Show("        ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
                Me.TEXTBOX3.Focus()
                Exit Sub
            End If
            Dim rpt3 As New rptCustomer33
            GETSERVERNAMEANDDATABASENAME(rpt3, "ART", "", "")
            rpt3.RecordSelectionFormula = "{CABLESCUSTOMSEMPLOYEES.CEMP3}=" & Me.TEXTBOX3.Text
            F.CrystalReportViewer1.ReportSource = rpt3
            F.CrystalReportViewer1.Zoom(90%)
            F.CrystalReportViewer1.Refresh()
            F.Show()
        End If
    End Sub
    Private Sub BUTTONDELRECORD_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONDELRECORD.Click
        On Error Resume Next
        Static Dim S As Integer
        S = BS.Position
        Dim resault As Integer
        On Error Resume Next
        If (BS.Count > 0) Then
            resault = MessageBox.Show("   ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            If resault = vbYes Then
                If fprint = True Then
                    Dim n As Integer
                    n = Me.DataGridView1.CurrentRow.Cells(0).Value
                    Dim CMD2 As SqlClient.SqlCommand = New SqlClient.SqlCommand
                    CMD2.CommandType = CommandType.Text
                    CMD2.Connection = SqlConnection1
                    If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
                    SqlConnection1.Open()
                    Dim SQL2 As String = "DELETE FROM CABLESCOSTCUSTOMS WHERE CCUST=" & n
                    CMD2.CommandText = SQL2
                    CMD2.ExecuteNonQuery()
                    SqlConnection1.Close()
                    frmCUSTOMER11_Load(sender, e)
                    BS.Position = S
                    SumAmounCABLESCOSTCUSTOMSt()
                    SumAmounCABLESEMPLOYEES()
                    SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
                    Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
                    Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
                    EDITBUTTON_Click(sender, e)
                Else
                    Dim n As Integer
                    n = Me.DataGridView2.CurrentRow.Cells(0).Value
                    Dim CMD2 As SqlClient.SqlCommand = New SqlClient.SqlCommand
                    CMD2.CommandType = CommandType.Text
                    CMD2.Connection = SqlConnection1
                    If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
                    SqlConnection1.Open()
                    Dim SQL2 As String = "DELETE FROM CABLESEMPLOYEES WHERE CEMP=" & n
                    CMD2.CommandText = SQL2
                    CMD2.ExecuteNonQuery()
                    SqlConnection1.Close()
                    frmCUSTOMER11_Load(sender, e)
                    BS.Position = S
                    SumAmounCABLESCOSTCUSTOMSt()
                    SumAmounCABLESEMPLOYEES()
                    SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
                    Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
                    Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
                    EDITBUTTON_Click(sender, e)
                End If
            Else
                MessageBox.Show("   ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
                Exit Sub
            End If
        Else
            MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            Exit Sub
        End If
    End Sub
    Private Sub ADDBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ADDBUTTON.Click
        Dim s As Integer
        Dim n As Double
        n = BS.Count
        On Error Resume Next
        BS.Position = BS.Count - 1
        s = Val(Me.TEXTBOX1.Text)
        BS.EndEdit()
        BS.AddNew()
        CLEARDATA1(Me)
        If n = 0 Then
            Me.TEXTBOX1.Text = 1
        Else
            If n >= s Then
                Me.TEXTBOX1.Text = Val(n) + 1
            Else
                Me.TEXTBOX1.Text = Val(s) + 1
            End If
        End If
        Me.TEXTBOX17.Text = 0
        Me.TEXTBOX18.Text = 0
        Me.TEXTBOX15.Text = 0
        Me.TEXTBOX2.Text = Today.ToString
        Me.TEXTBOX11.Text = Today.ToString
        Me.TEXTBOX12.Text = Today.ToString
        Me.TEXTBOX16.Text = " "
        Me.TEXTBOX21.Checked = "False"
        Me.TEXTBOX25.Text = " "
        Me.TEXTBOX26.Text = " "
        TEXTBOX2.Focus()
    End Sub
    Private Sub SAVEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SAVEBUTTON.Click
        On Error Resume Next
        Static Dim P As Integer
        P = BS.Position
        SumAmounCABLESCOSTCUSTOMSt()
        SumAmounCABLESEMPLOYEES()
        SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
        UPDATECABLESCUSTOMSEMPLOYEES()
        SaveCABLESCOSTCUSTOMS()
        SaveCABLESEMPLOYEES()
        RecordCount()
        frmCUSTOMER11_Load(sender, e)
        BS.Position = P
        SumAmounCABLESCOSTCUSTOMSt()
        SumAmounCABLESEMPLOYEES()
        SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
        UPDATECABLESCUSTOMSEMPLOYEES()
        SaveCABLESCOSTCUSTOMS()
        SaveCABLESEMPLOYEES()
    End Sub
    Private Sub EDITBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EDITBUTTON.Click
        On Error Resume Next
        Static Dim P As Integer
        P = BS.Position
        SumAmounCABLESCOSTCUSTOMSt()
        SumAmounCABLESEMPLOYEES()
        SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
        UPDATECABLESCUSTOMSEMPLOYEES()
        UPDATECABLESCOSTCUSTOMS()
        UPDATECABLESEMPLOYEES()
        RecordCount()
        frmCUSTOMER11_Load(sender, e)
        BS.Position = P
        SumAmounCABLESCOSTCUSTOMSt()
        SumAmounCABLESEMPLOYEES()
        SumAmounCABLESCOSTCUSTOMStFOLLOWACCOUNT()
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
        UPDATECABLESCUSTOMSEMPLOYEES()
        UPDATECABLESCOSTCUSTOMS()
        UPDATECABLESEMPLOYEES()
    End Sub
    Private Sub BUTTONCANCEL_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONCANCEL.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
    Private Sub DELETEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DELETEBUTTON.Click
        If Me.TEXTBOX21.Checked = True Then
            Dim resault As Integer
            resault = MessageBox.Show("        ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            If resault = vbYes Then
                DELETEDATA()
                Me.TEXTBOX21.Checked = False
                EDITBUTTON_Click(sender, e)
            Else
                Exit Sub
            End If
        End If
        MYDELETERECORD("CABLESCOSTCUSTOMS", "CEMP3", TEXTBOX3, BS, True)
        MYDELETERECORD("CABLESCOSTCUSTOMS", "CEMP3", TEXTBOX3, BS, True)
        MYDELETERECORD("CABLESCUSTOMSEMPLOYEES", "CEMP1", TEXTBOX1, BS, True)
        frmCUSTOMER11_Load(sender, e)
    End Sub
    Private Sub FIRSTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FIRSTBUTTON.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
    Private Sub PREVIOUSBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PREVIOUSBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
    Private Sub NEXTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NEXTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
    Private Sub LASTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LASTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
    Private Sub CMDBROWSE_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMDBROWSE.Click
        Dim F As New frmMyDocuments
        On Error Resume Next
        If File.Exists(Application.StartupPath & "\DOCUMENTS\" & Me.TEXTBOX3.Text + ".pdf") = True Then
            F.Show()
        Else
            MessageBox.Show("      ", "Acrobat", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
        End If
    End Sub
    Private Sub TEXTBOX13_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX13.SelectedIndexChanged
        On Error Resume Next
        TEXTBOX13CHANGED()
    End Sub
    Private Sub TEXTBOX17_TextChanged1(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX17.TextChanged
        On Error Resume Next
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
    End Sub
    Private Sub DataGridView2_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles DataGridView2.DoubleClick
        On Error Resume Next
        If MsgBox("          ", vbYesNo + vbQuestion + vbMsgBoxRight + vbDefaultButton2 + vbMsgBoxSetForeground + vbMsgBoxRtlReading, "") = vbYes Then
            Dim sql As String = "INSERT INTO CABLESEMPLOYEES ( CEMP1, CEMP4, CEMP2, CEMP3 ) SELECT BASICDATA.[BDATA1], BASICDATA.BDATA7, BASICDATA.BDATA5, '" & Me.TEXTBOX3.Text & "'" & " FROM BASICDATA WHERE BASICDATA.[BDATA1]<=30"
            Dim cmd As New SqlClient.SqlCommand(sql, SqlConnection1)
            If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
            SqlConnection1.Open()
            cmd.ExecuteNonQuery()
            SqlConnection1.Close()
        Else
            Cancel = True
        End If
    End Sub
    Private Sub DataGridView1_CellDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView1.CellDoubleClick
        On Error Resume Next
        If Me.DataGridView1.CurrentCell.ColumnIndex = 4 Then
            frmDATALIST.ListBox1.Visible = True
            frmDATALIST.ListBox2.Visible = False
            frmDATALIST.Show()
            Me.DataGridView1.CurrentRow.Cells(4).Value = frmDATALIST.Tag
        End If
    End Sub
    Private Sub TEXTBOX3_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX3.LostFocus
        On Error Resume Next
        Static Dim P As Integer
        P = BS.Position
        SaveCABLESCUSTOMSEMPLOYEES()
        frmCUSTOMER11_Load(sender, e)
        BS.Position = P
    End Sub
    Private Sub TEXTBOX2_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX2.KeyDown
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                SendKeys.SendWait("{TAB}")
        End Select
    End Sub
    Private Sub TEXTBOX2_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX2.TextChanged
        On Error Resume Next
        Me.TEXTBOX2.Text = Me.TEXTBOX2.Value
    End Sub
End Class