Option Explicit Off
Imports System.Data.Common
Imports System.IO
Imports CrystalDecisions.CrystalReports.Engine
Public Class frmCUSTOMER22
    Inherits System.Windows.Forms.Form
    Dim ds2 As New DataSet
    Dim fprint As Boolean = True
    Dim WithEvents BS As New BindingSource
    Private Sub frmCUSTOMER22_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        SqlConnection1.ConnectionString = constring
        ds2.EnforceConstraints = False
        SqlConnection1.Open()
        Dim str1 As String = "SELECT * FROM PLASTICCUSTOMSEMPLOYEES ORDER BY PCEMP1 "
        Dim str2 As String = "SELECT * FROM PLASTICCOSTCUSTOMS ORDER BY PCCT1 "
        Dim str3 As String = "SELECT * FROM PLASTICEMPLOYEES ORDER BY PEMP1 "
        SqlDataAdapter1 = New SqlClient.SqlDataAdapter(str1, SqlConnection1)
        SqlDataAdapter2 = New SqlClient.SqlDataAdapter(str2, SqlConnection1)
        SqlDataAdapter3 = New SqlClient.SqlDataAdapter(str3, SqlConnection1)
        ds2.Clear()
        SqlDataAdapter1.Fill(ds2, "PLASTICCUSTOMSEMPLOYEES")
        SqlDataAdapter2.Fill(ds2, "PLASTICCOSTCUSTOMS")
        SqlDataAdapter3.Fill(ds2, "PLASTICEMPLOYEES")
        ds2.Relations.Add("REL1", ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Columns("PCEMP3"), ds2.Tables("PLASTICCOSTCUSTOMS").Columns("PCEMP3"), True)
        ds2.Relations.Add("REL2", ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Columns("PCEMP3"), ds2.Tables("PLASTICEMPLOYEES").Columns("PEMP3"), True)
        BS.DataSource = ds2
        BS.DataMember = "PLASTICCUSTOMSEMPLOYEES"
        Me.DataGridView1.DataSource = BS
        Me.DataGridView1.DataMember = "REL1"
        Me.DataGridView2.DataSource = BS
        Me.DataGridView2.DataMember = "REL2"
        Me.TEXTBOX24.DataSource = BS
        Me.TEXTBOX24.DisplayMember = "PCEMP3"
        Me.DataGridView1.Visible = True
        Me.DataGridView2.Visible = False
        ds2.EnforceConstraints = True
        SqlDataAdapter1.Dispose()
        SqlDataAdapter2.Dispose()
        SqlDataAdapter3.Dispose()
        SqlDataAdapter4.Dispose()
        SqlConnection1.Close()
        FILLCOMBOBOX("BASICDATA", "BDATA2", Me.TEXTBOX5)
        FILLCOMBOBOX("BASICDATA", "BDATA3", Me.TEXTBOX7)
        FILLCOMBOBOX("BASICDATA", "BDATA4", Me.TEXTBOX10)
        FILLCOMBOBOX("PLASTICCUSTOMSEMPLOYEES", "PCEMP16", Me.TEXTBOX16)
        SHOWBUTTON()
        SumAmounPLASTICCOSTCUSTOMSt()
        SumAmounPLASTICEMPLOYEES()
        SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
        RecordCount()
    End Sub
    Private Sub SumAmounPLASTICCOSTCUSTOMSt()
        Dim Adp As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql As String = "SELECT Sum(PCCT2) AS SUMSUBTOTALS FROM PLASTICCOSTCUSTOMS WHERE PCEMP3 =" & Me.TEXTBOX3.Text & " GROUP BY PCEMP3"
        con = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql, con)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX17.Text = Format(Val(ds.Tables(0).Rows(0).Item(0)), "Fixed")
        End If
        Adp.Dispose()
        con.Close()
    End Sub
    Private Sub SumAmounPLASTICEMPLOYEES()
        Dim Adp As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql As String = "SELECT Sum(PEMP2) AS SUMSUBTOTALS FROM PLASTICEMPLOYEES WHERE PEMP3 =" & Me.TEXTBOX3.Text & " GROUP BY PEMP3"
        con = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql, con)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX18.Text = Format(Val(ds.Tables(0).Rows(0).Item(0)), "Fixed")
        End If
        Adp.Dispose()
        con.Close()
    End Sub
    Private Sub SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
        Dim Adp As SqlClient.SqlDataAdapter
        Dim con As SqlClient.SqlConnection
        On Error Resume Next
        Dim strsql As String = "SELECT Sum(PCCT2) AS SUMSUBTOTALSFOLLOWACCOUNT FROM PLASTICCOSTCUSTOMS WHERE PCEMP3 =" & Me.TEXTBOX3.Text & "AND PCCT5=1 GROUP BY PCEMP3"
        con = New SqlClient.SqlConnection(constring)
        Dim ds As New DataSet
        Adp = New SqlClient.SqlDataAdapter(strsql, con)
        ds.Clear()
        Adp.Fill(ds)
        If ds.Tables(0).Rows.Count > 0 Then
            Me.TEXTBOX22.Text = Format(Val(ds.Tables(0).Rows(0).Item(0)) - Val(Me.TEXTBOX15.Text), "Fixed")
            TEXTBOX23.Text = Format(Val(Me.TEXTBOX17.Text) - Val(Me.TEXTBOX22.Text), "Fixed")
        Else
            Me.TEXTBOX22.Text = "0"
            TEXTBOX23.Text = Format(Val(Me.TEXTBOX17.Text), "Fixed")
        End If
        Adp.Dispose()
        con.Close()
    End Sub
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .TEXTBOX1.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP1").ToString
            .TEXTBOX2.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP2").ToString
            .TEXTBOX3.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP3").ToString
            .TEXTBOX4.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP4").ToString
            .TEXTBOX5.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP5").ToString
            .TEXTBOX6.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP6").ToString
            .TEXTBOX7.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP7").ToString
            .TEXTBOX8.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP8").ToString
            .TEXTBOX9.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP9").ToString
            .TEXTBOX10.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP10").ToString
            .TEXTBOX11.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP11").ToString
            .TEXTBOX12.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP12").ToString
            .TEXTBOX13.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP13").ToString
            .TEXTBOX14.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP14").ToString
            .TEXTBOX15.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP15").ToString
            .TEXTBOX16.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP16").ToString
            .TEXTBOX17.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP17").ToString
            .TEXTBOX18.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP18").ToString
            .TEXTBOX19.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP19").ToString
            .TEXTBOX20.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP20").ToString
            .TEXTBOX21.Checked = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP21").ToString
            .TEXTBOX22.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP22").ToString
            .TEXTBOX23.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP23").ToString
            .TEXTBOX25.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP24").ToString
            .TEXTBOX26.Text = ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows(BS.Position)("PCEMP25").ToString
        End With
    End Sub
    Private Sub BS_PositionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BS.PositionChanged
        On Error Resume Next
        RecordCount()
    End Sub
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RECORDSLABEL.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds2.Tables("PLASTICCUSTOMSEMPLOYEES").Rows.Count - 1 Then
            Forward = True
        End If
        FIRSTBUTTON.Enabled = Back
        PREVIOUSBUTTON.Enabled = Back
        NEXTBUTTON.Enabled = Forward
        LASTBUTTON.Enabled = Forward
        SumAmounPLASTICCOSTCUSTOMSt()
        SumAmounPLASTICEMPLOYEES()
        SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
        TextBox13Changed()
        DISPLAYRECORD()
    End Sub
    Private Sub SHOWBUTTON()
        On Error Resume Next
        Me.SAVEBUTTON.Enabled = BUTTONSAVE
        Me.EDITBUTTON.Enabled = BUTTONEDIT
        Me.DELETEBUTTON.Enabled = BUTTONDELETE
    End Sub
    Private Sub UPDATEDATA()
        On Error Resume Next
        Dim sql As String = "UPDATE PLASTIC SET PLST3 = @PLST3, PLST5 = @PLST5, PLST6 = @PLST6, PLST8 = @PLST8, PLST9 = @PLST9 WHERE PLST8 = '" & Me.TEXTBOX3.Text & "'"
        Dim cmd As New SqlClient.SqlCommand(sql, SqlConnection1)
        cmd.Parameters.Add("@PLST3", SqlDbType.DateTime).Value = Me.TEXTBOX2.Text
        cmd.Parameters.Add("@PLST5", SqlDbType.Float).Value = Me.TEXTBOX17.Text
        cmd.Parameters.Add("@PLST6", SqlDbType.NVarChar).Value = " "
        cmd.Parameters.Add("@PLST8", SqlDbType.NVarChar).Value = Me.TEXTBOX3.Text
        cmd.Parameters.Add("@PLST9", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        cmd.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub DELETEDATA()
        On Error Resume Next
        Dim sql As String = "DELETE FROM PLASTIC  WHERE PLST8 = '" & Me.TEXTBOX3.Text & "'"
        Dim cmd As New SqlClient.SqlCommand(sql, SqlConnection1)
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        cmd.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub INSERTDATA()
        On Error Resume Next
        Dim N As Double
        Dim cmd1 As New SqlClient.SqlCommand("SELECT MAX(PLST1) FROM PLASTIC", SqlConnection1)
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        N = cmd1.ExecuteScalar
        SqlConnection1.Close()
        Dim sql As String = "INSERT INTO PLASTIC(PLST1, PLST3, PLST5, PLST6, PLST8, PLST9) VALUES  (@PLST1, @PLST3, @PLST5, @PLST6, @PLST8, @PLST9)"
        Dim cmd As New SqlClient.SqlCommand(sql, SqlConnection1)
        cmd.Parameters.Add("@PLST1", SqlDbType.Int).Value = Val(N) + 1
        cmd.Parameters.Add("@PLST3", SqlDbType.DateTime).Value = Me.TEXTBOX2.Text
        cmd.Parameters.Add("@PLST5", SqlDbType.Float).Value = Me.TEXTBOX17.Text
        cmd.Parameters.Add("@PLST6", SqlDbType.NVarChar).Value = " "
        cmd.Parameters.Add("@PLST8", SqlDbType.NVarChar).Value = Me.TEXTBOX3.Text
        cmd.Parameters.Add("@PLST9", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        cmd.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
 Private Sub frmPLASTICCUSTOMSEMPLOYEES_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Activated
        On Error Resume Next
        RecordCount()
        If frmDATALIST Is Nothing = True Then
        Else
            If Me.DataGridView1.CurrentCell.ColumnIndex = 4 Then
                Me.DataGridView1.CurrentRow.Cells(4).Value = frmDATALIST.Tag
            End If
        End If
    End Sub
    Private Sub SavePLASTICCUSTOMSEMPLOYEES()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO PLASTICCUSTOMSEMPLOYEES (PCEMP1, PCEMP2, PCEMP3, PCEMP4, PCEMP5, PCEMP6, PCEMP7, PCEMP8, PCEMP9, PCEMP10, PCEMP11, PCEMP12, PCEMP13, PCEMP14, PCEMP15, PCEMP16, PCEMP17, PCEMP18, PCEMP19, PCEMP20, PCEMP21, PCEMP22, PCEMP23, PCEMP24, PCEMP25) VALUES     (@PCEMP1, @PCEMP2, @PCEMP3, @PCEMP4, @PCEMP5, @PCEMP6, @PCEMP7, @PCEMP8, @PCEMP9, @PCEMP10, @PCEMP11, @PCEMP12, @PCEMP13, @PCEMP14, @PCEMP15, @PCEMP16, @PCEMP17, @PCEMP18, @PCEMP19, @PCEMP20, @PCEMP21, @PCEMP22, @PCEMP23, @PCEMP24, @PCEMP25)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@PCEMP1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@PCEMP2", SqlDbType.DateTime).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@PCEMP3", SqlDbType.Int).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@PCEMP4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@PCEMP5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@PCEMP6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .Parameters.Add("@PCEMP7", SqlDbType.NVarChar).Value = Me.TEXTBOX7.Text.Trim
            .Parameters.Add("@PCEMP8", SqlDbType.NVarChar).Value = Me.TEXTBOX8.Text.Trim
            .Parameters.Add("@PCEMP9", SqlDbType.NVarChar).Value = Me.TEXTBOX9.Text.Trim
            .Parameters.Add("@PCEMP10", SqlDbType.NVarChar).Value = Me.TEXTBOX10.Text.Trim
            .Parameters.Add("@PCEMP11", SqlDbType.DateTime).Value = Me.TEXTBOX11.Text.Trim
            .Parameters.Add("@PCEMP12", SqlDbType.DateTime).Value = Me.TEXTBOX12.Text.Trim
            .Parameters.Add("@PCEMP13", SqlDbType.NVarChar).Value = Me.TEXTBOX13.Text.Trim
            .Parameters.Add("@PCEMP14", SqlDbType.NVarChar).Value = Me.TEXTBOX14.Text.Trim
            .Parameters.Add("@PCEMP15", SqlDbType.NVarChar).Value = Me.TEXTBOX15.Text.Trim
            .Parameters.Add("@PCEMP16", SqlDbType.NVarChar).Value = Me.TEXTBOX16.Text.Trim
            .Parameters.Add("@PCEMP17", SqlDbType.NVarChar).Value = Me.TEXTBOX17.Text.Trim
            .Parameters.Add("@PCEMP18", SqlDbType.NVarChar).Value = Me.TEXTBOX18.Text.Trim
            .Parameters.Add("@PCEMP19", SqlDbType.NVarChar).Value = Me.TEXTBOX19.Text.Trim
            .Parameters.Add("@PCEMP20", SqlDbType.NVarChar).Value = Me.TEXTBOX20.Text.Trim
            .Parameters.Add("@PCEMP21", SqlDbType.Bit).Value = Convert.ToInt32(TEXTBOX21.Checked)
            .Parameters.Add("@PCEMP22", SqlDbType.NVarChar).Value = Me.TEXTBOX22.Text.Trim
            .Parameters.Add("@PCEMP23", SqlDbType.NVarChar).Value = Me.TEXTBOX23.Text.Trim
            .Parameters.Add("@PCEMP24", SqlDbType.NVarChar).Value = Me.TEXTBOX25.Text.Trim
            .Parameters.Add("@PCEMP25", SqlDbType.NVarChar).Value = Me.TEXTBOX26.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub SavePLASTICCOSTCUSTOMS()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO PLASTICCOSTCUSTOMS (PCCT1, PCCT2, PCCT3, PCCT4, PCCT5, PCEMP3) VALUES     (@PCCT1, @PCCT2, @PCCT3, @PCCT4, @PCCT5, @PCEMP3)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@PCCT", SqlDbType.Int, 4, "PCCT")
            .Parameters.Add("@PCCT1", SqlDbType.Int, 4, "PCCT1")
            .Parameters.Add("@PCCT2", SqlDbType.Float, 8, "PCCT2")
            .Parameters.Add("@PCCT3", SqlDbType.NVarChar, 255, "PCCT3")
            .Parameters.Add("@PCCT4", SqlDbType.NVarChar, 255, "PCCT4")
            .Parameters.Add("@PCCT5", SqlDbType.Bit, 1, "PCCT5")
            .Parameters.Add("@PCEMP3", SqlDbType.Int, 4, "PCEMP3")
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        SqlDataAdapter2.TableMappings.AddRange(New DataTableMapping() {New DataTableMapping("Table", "PLASTICCOSTCUSTOMS", New DataColumnMapping() {New DataColumnMapping("PCCT1", "PCCT1"), New DataColumnMapping("PCCT2", "PCCT2"), New DataColumnMapping("PCCT3", "PCCT3"), New DataColumnMapping("PCCT4", "PCCT4"), New DataColumnMapping("PCCT5", "PCCT5"), New DataColumnMapping("PCEMP3", "PCEMP3"), New DataColumnMapping("PCCT", "PCCT")})})
        SqlDataAdapter2.InsertCommand = CMD
        SqlDataAdapter2.Update(ds2, "PLASTICCOSTCUSTOMS")
        SqlConnection1.Close()
    End Sub
    Private Sub UPDATEPLASTICCUSTOMSEMPLOYEES()
        On Error Resume Next
        Dim SQL As String = " Update PLASTICCUSTOMSEMPLOYEES SET   PCEMP1 = @PCEMP1, PCEMP2 = @PCEMP2, PCEMP3 = @PCEMP3, PCEMP4 = @PCEMP4, PCEMP5 = @PCEMP5, PCEMP6 = @PCEMP6, PCEMP7 = @PCEMP7, PCEMP8 = @PCEMP8, PCEMP9 = @PCEMP9, PCEMP10 = @PCEMP10, PCEMP11 = @PCEMP11, PCEMP12 = @PCEMP12, PCEMP13 = @PCEMP13, PCEMP14 = @PCEMP14, PCEMP15 = @PCEMP15, PCEMP16 = @PCEMP16, PCEMP17 = @PCEMP17, PCEMP18 = @PCEMP18, PCEMP19 = @PCEMP19, PCEMP20 = @PCEMP20, PCEMP21 = @PCEMP21, PCEMP22 = @PCEMP22, PCEMP23 = @PCEMP23, PCEMP24 = @PCEMP24, PCEMP25 = @PCEMP25 WHERE  PCEMP1 = @PCEMP1"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@PCEMP1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@PCEMP2", SqlDbType.DateTime).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@PCEMP3", SqlDbType.Int).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@PCEMP4", SqlDbType.NVarChar).Value = Me.TEXTBOX4.Text.Trim
            .Parameters.Add("@PCEMP5", SqlDbType.NVarChar).Value = Me.TEXTBOX5.Text.Trim
            .Parameters.Add("@PCEMP6", SqlDbType.NVarChar).Value = Me.TEXTBOX6.Text.Trim
            .Parameters.Add("@PCEMP7", SqlDbType.NVarChar).Value = Me.TEXTBOX7.Text.Trim
            .Parameters.Add("@PCEMP8", SqlDbType.NVarChar).Value = Me.TEXTBOX8.Text.Trim
            .Parameters.Add("@PCEMP9", SqlDbType.NVarChar).Value = Me.TEXTBOX9.Text.Trim
            .Parameters.Add("@PCEMP10", SqlDbType.NVarChar).Value = Me.TEXTBOX10.Text.Trim
            .Parameters.Add("@PCEMP11", SqlDbType.DateTime).Value = Me.TEXTBOX11.Text.Trim
            .Parameters.Add("@PCEMP12", SqlDbType.DateTime).Value = Me.TEXTBOX12.Text.Trim
            .Parameters.Add("@PCEMP13", SqlDbType.NVarChar).Value = Me.TEXTBOX13.Text.Trim
            .Parameters.Add("@PCEMP14", SqlDbType.NVarChar).Value = Me.TEXTBOX14.Text.Trim
            .Parameters.Add("@PCEMP15", SqlDbType.NVarChar).Value = Me.TEXTBOX15.Text.Trim
            .Parameters.Add("@PCEMP16", SqlDbType.NVarChar).Value = Me.TEXTBOX16.Text.Trim
            .Parameters.Add("@PCEMP17", SqlDbType.NVarChar).Value = Me.TEXTBOX17.Text.Trim
            .Parameters.Add("@PCEMP18", SqlDbType.NVarChar).Value = Me.TEXTBOX18.Text.Trim
            .Parameters.Add("@PCEMP19", SqlDbType.NVarChar).Value = Me.TEXTBOX19.Text.Trim
            .Parameters.Add("@PCEMP20", SqlDbType.NVarChar).Value = Me.TEXTBOX20.Text.Trim
            .Parameters.Add("@PCEMP21", SqlDbType.Bit).Value = Convert.ToInt32(TEXTBOX21.Checked)
            .Parameters.Add("@PCEMP22", SqlDbType.NVarChar).Value = Me.TEXTBOX22.Text.Trim
            .Parameters.Add("@PCEMP23", SqlDbType.NVarChar).Value = Me.TEXTBOX23.Text.Trim
            .Parameters.Add("@PCEMP24", SqlDbType.NVarChar).Value = Me.TEXTBOX25.Text.Trim
            .Parameters.Add("@PCEMP25", SqlDbType.NVarChar).Value = Me.TEXTBOX26.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub UPDATEPLASTICCOSTCUSTOMS()
        On Error Resume Next
        Dim SQL As String = "Update PLASTICCOSTCUSTOMS SET  PCCT1 = @PCCT1, PCCT2 = @PCCT2, PCCT3 = @PCCT3, PCCT4 = @PCCT4, PCCT5 = @PCCT5, PCEMP3 = @PCEMP3 WHERE  PCCT = @PCCT"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@PCCT", SqlDbType.Int, 4, "PCCT")
            .Parameters.Add("@PCCT1", SqlDbType.Int, 4, "PCCT1")
            .Parameters.Add("@PCCT2", SqlDbType.Float, 8, "PCCT2")
            .Parameters.Add("@PCCT3", SqlDbType.NVarChar, 255, "PCCT3")
            .Parameters.Add("@PCCT4", SqlDbType.NVarChar, 255, "PCCT4")
            .Parameters.Add("@PCCT5", SqlDbType.Bit, 1, "PCCT5")
            .Parameters.Add("@PCEMP3", SqlDbType.Int, 4, "PCEMP3")
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        SqlDataAdapter2.TableMappings.AddRange(New DataTableMapping() {New DataTableMapping("Table", "PLASTICCOSTCUSTOMS", New DataColumnMapping() {New DataColumnMapping("PCCT1", "PCCT1"), New DataColumnMapping("PCCT2", "PCCT2"), New DataColumnMapping("PCCT3", "PCCT3"), New DataColumnMapping("PCCT4", "PCCT4"), New DataColumnMapping("PCCT5", "PCCT5"), New DataColumnMapping("PCEMP3", "PCEMP3"), New DataColumnMapping("PCCT", "PCCT")})})
        SqlDataAdapter2.UpdateCommand = CMD
        SqlDataAdapter2.Update(ds2, "PLASTICCOSTCUSTOMS")
        SqlConnection1.Close()
    End Sub
    Private Sub UPDATEPLASTICEMPLOYEES()
        On Error Resume Next
        Dim SQL As String = "Update PLASTICEMPLOYEES SET   PEMP1 = @PEMP1, PEMP2 = @PEMP2, PEMP3 = @PEMP3, PEMP4 = @PEMP4 WHERE  PEMP = @PEMP"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@PEMP", SqlDbType.Int, 4, "PEMP")
            .Parameters.Add("@PEMP1", SqlDbType.Int, 4, "PEMP1")
            .Parameters.Add("@PEMP2", SqlDbType.Float, 8, "PEMP2")
            .Parameters.Add("@PEMP3", SqlDbType.Int, 4, "PEMP3")
            .Parameters.Add("@PEMP4", SqlDbType.NVarChar, 255, "PEMP4")
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        SqlDataAdapter3.TableMappings.AddRange(New DataTableMapping() {New DataTableMapping("Table", "PLASTIPEMPLOYEES", New DataColumnMapping() {New DataColumnMapping("PEMP1", "PEMP1"), New DataColumnMapping("PEMP2", "PEMP2"), New DataColumnMapping("PEMP3", "PEMP3"), New DataColumnMapping("PEMP4", "PEMP4"), New DataColumnMapping("PEMP", "PEMP")})})
        SqlDataAdapter3.UpdateCommand = CMD
        SqlDataAdapter3.Update(ds2, "PLASTICEMPLOYEES")
        SqlConnection1.Close()
    End Sub
    Private Sub SavePLASTICEMPLOYEES()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO PLASTICEMPLOYEES (PEMP1, PEMP2, PEMP3, PEMP4) VALUES     (@PEMP1, @PEMP2, @PEMP3, @PEMP4)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@PEMP", SqlDbType.Int, 4, "PEMP")
            .Parameters.Add("@PEMP1", SqlDbType.Int, 4, "PEMP1")
            .Parameters.Add("@PEMP2", SqlDbType.Float, 8, "PEMP2")
            .Parameters.Add("@PEMP3", SqlDbType.Int, 4, "PEMP3")
            .Parameters.Add("@PEMP4", SqlDbType.NVarChar, 255, "PEMP4")
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        SqlDataAdapter3.TableMappings.AddRange(New DataTableMapping() {New DataTableMapping("Table", "PLASTIPEMPLOYEES", New DataColumnMapping() {New DataColumnMapping("PEMP1", "PEMP1"), New DataColumnMapping("CEMP2", "CEMP2"), New DataColumnMapping("PEMP3", "PEMP3"), New DataColumnMapping("CEMP4", "CEMP4"), New DataColumnMapping("PEMP", "PEMP")})})
        SqlDataAdapter3.InsertCommand = CMD
        SqlDataAdapter3.Update(ds2, "PLASTICEMPLOYEES")
        SqlConnection1.Close()
    End Sub
   Private Sub TextBox13Changed()
        On Error Resume Next
        Select Case Me.TEXTBOX13.Text
            Case " "
                Me.TEXTBOX15.Enabled = False
            Case ""
                Me.TEXTBOX15.Enabled = True
            Case "  "
                Me.TEXTBOX15.Enabled = True
        End Select
    End Sub
   Private Sub CMDBROWSE_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMDBROWSE.Click
        Dim F As New frmMyDocuments
        On Error Resume Next
        If File.Exists(Application.StartupPath & "\DOCUMENTS\" & Me.TEXTBOX3.Text + ".pdf") = True Then
            F.Show()
        Else
            MessageBox.Show("      ", "Acrobat", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
        End If
    End Sub
    Private Sub BUTTON2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTON2.Click
        On Error Resume Next
        fprint = True
        Me.DataGridView1.Visible = True
        Me.DataGridView2.Visible = False
        Me.TEXTBOX17.Visible = True
        Me.TEXTBOX18.Visible = False
        Me.TEXTBOX19.Visible = True
        Me.TEXTBOX20.Visible = False
        Me.Label17.Visible = False
        Me.Label18.Visible = True
    End Sub
    Private Sub BUTTON3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTON3.Click
        On Error Resume Next
        fprint = False
        Me.DataGridView1.Visible = False
        Me.DataGridView2.Visible = True
        Me.TEXTBOX17.Visible = False
        Me.TEXTBOX18.Visible = True
        Me.TEXTBOX19.Visible = False
        Me.TEXTBOX20.Visible = True
        Me.Label18.Visible = False
        Me.Label17.Visible = True
    End Sub
    Private Sub TRANSFERBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TRANSFERBUTTON.Click
        On Error Resume Next
        If Me.TEXTBOX21.Checked = False Then
            resault = MessageBox.Show("       ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            If resault = vbYes Then
                INSERTDATA()
                Me.TEXTBOX21.Checked = True
                EDITBUTTON_Click(sender, e)
            Else
                Exit Sub
            End If
        Else
            resault = MessageBox.Show("         " & " " & "     ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            If resault = vbYes Then
                UPDATEDATA()
            Else
                resault = MessageBox.Show("        ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
                If resault = vbYes Then
                    DELETEDATA()
                    Me.TEXTBOX21.Checked = False
                    EDITBUTTON_Click(sender, e)
                Else
                    Exit Sub
                End If
            End If
        End If
    End Sub
    Private Sub PRINTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PRINTBUTTON.Click
        On Error Resume Next
        On Error Resume Next
        On Error Resume Next
        Dim F As New frmPRINT
        If fprint = True Then
            If Len(Me.TEXTBOX3.Text) = 0 Then
                MessageBox.Show("        ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
                Me.TEXTBOX3.Focus()
                Exit Sub
            End If
            Dim rpt2 As New rptCustomer2
            GETSERVERNAMEANDDATABASENAME(rpt2, "ART", "", "")
            rpt2.RecordSelectionFormula = "{PLASTICCUSTOMSEMPLOYEES.PCEMP3}=" & Me.TEXTBOX3.Text
            F.CrystalReportViewer1.ReportSource = rpt2
            F.CrystalReportViewer1.Zoom(90%)
            F.CrystalReportViewer1.Refresh()
            F.Show()
        ElseIf fprint = False Then
            If Len(Me.TEXTBOX3.Text) = 0 Then
                MessageBox.Show("        ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading)
                Me.TEXTBOX3.Focus()
                Exit Sub
            End If
            Dim rpt3 As New rptCustomer44
            GETSERVERNAMEANDDATABASENAME(rpt3, "ART", "", "")
            rpt3.RecordSelectionFormula = "{PLASTICCUSTOMSEMPLOYEES.PCEMP3}=" & Me.TEXTBOX3.Text
            F.CrystalReportViewer1.ReportSource = rpt3
            F.CrystalReportViewer1.Zoom(90%)
            F.CrystalReportViewer1.Refresh()
            F.Show()
        End If
    End Sub
    Private Sub BUTTONDELRECORD_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONDELRECORD.Click
        On Error Resume Next
        Static Dim S As Integer
        S = BS.Position
        Dim resault As Integer
        On Error Resume Next
        If (BS.Count > 0) Then
            resault = MessageBox.Show("   ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            If resault = vbYes Then
                If fprint = True Then
                    Dim n As Integer
                    n = Me.DataGridView1.CurrentRow.Cells(0).Value
                    Dim CMD2 As SqlClient.SqlCommand = New SqlClient.SqlCommand
                    CMD2.CommandType = CommandType.Text
                    CMD2.Connection = SqlConnection1
                    If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
                    SqlConnection1.Open()
                    Dim SQL2 As String = "DELETE FROM PLASTICCOSTCUSTOMS WHERE PCCT=" & n
                    CMD2.CommandText = SQL2
                    CMD2.ExecuteNonQuery()
                    SqlConnection1.Close()
                    frmCUSTOMER22_Load(sender, e)
                    BS.Position = S
                    SumAmounPLASTICCOSTCUSTOMSt()
                    SumAmounPLASTICEMPLOYEES()
                    SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
                    Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
                    Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
                    EDITBUTTON_Click(sender, e)
                Else
                    Dim n As Integer
                    n = Me.DataGridView2.CurrentRow.Cells(0).Value
                    Dim CMD2 As SqlClient.SqlCommand = New SqlClient.SqlCommand
                    CMD2.CommandType = CommandType.Text
                    CMD2.Connection = SqlConnection1
                    If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
                    SqlConnection1.Open()
                    Dim SQL2 As String = "DELETE FROM PLASTICEMPLOYEES WHERE PEMP=" & n
                    CMD2.CommandText = SQL2
                    CMD2.ExecuteNonQuery()
                    SqlConnection1.Close()
                    frmCUSTOMER22_Load(sender, e)
                    BS.Position = S
                    SumAmounPLASTICCOSTCUSTOMSt()
                    SumAmounPLASTICEMPLOYEES()
                    SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
                    Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
                    Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
                    EDITBUTTON_Click(sender, e)
                End If
            Else
                MessageBox.Show("   ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
                Exit Sub
            End If
        Else
            MessageBox.Show("      ", " ", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            Exit Sub
        End If
    End Sub
    Private Sub ADDBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ADDBUTTON.Click
        Dim s As Integer
        Dim n As Double
        n = BS.Count
        On Error Resume Next
        BS.Position = BS.Count - 1
        s = Val(Me.TEXTBOX1.Text)
        BS.EndEdit()
        BS.AddNew()
        CLEARDATA1(Me)
        If n = 0 Then
            Me.TEXTBOX1.Text = 1
        Else
            If n >= s Then
                Me.TEXTBOX1.Text = Val(n) + 1
            Else
                Me.TEXTBOX1.Text = Val(s) + 1
            End If
        End If
        Me.TEXTBOX17.Text = 0
        Me.TEXTBOX18.Text = 0
        Me.TEXTBOX15.Text = 0
        Me.TEXTBOX2.Text = Today.ToString
        Me.TEXTBOX11.Text = Today.ToString
        Me.TEXTBOX12.Text = Today.ToString
        Me.TEXTBOX16.Text = " "
        Me.TEXTBOX21.Checked = "False"
        Me.TEXTBOX24.Text = " "
        Me.TEXTBOX25.Text = " "
        TEXTBOX2.Focus()
    End Sub
    Private Sub SAVEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SAVEBUTTON.Click
        On Error Resume Next
        Static Dim P As Integer
        P = BS.Position
        SumAmounPLASTICCOSTCUSTOMSt()
        SumAmounPLASTICEMPLOYEES()
        SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
        UPDATEPLASTICCUSTOMSEMPLOYEES()
        SavePLASTICCOSTCUSTOMS()
        SavePLASTICEMPLOYEES()
        RecordCount()
        frmCUSTOMER22_Load(sender, e)
        BS.Position = P
        SumAmounPLASTICCOSTCUSTOMSt()
        SumAmounPLASTICEMPLOYEES()
        SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
        UPDATEPLASTICCUSTOMSEMPLOYEES()
        SavePLASTICCOSTCUSTOMS()
        SavePLASTICEMPLOYEES()
    End Sub
    Private Sub EDITBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EDITBUTTON.Click
        On Error Resume Next
        Static Dim P As Integer
        P = BS.Position
        SumAmounPLASTICCOSTCUSTOMSt()
        SumAmounPLASTICEMPLOYEES()
        SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
        UPDATEPLASTICCUSTOMSEMPLOYEES()
        UPDATEPLASTICCOSTCUSTOMS()
        UPDATEPLASTICEMPLOYEES()
        RecordCount()
        frmCUSTOMER22_Load(sender, e)
        BS.Position = P
        SumAmounPLASTICCOSTCUSTOMSt()
        SumAmounPLASTICEMPLOYEES()
        SumAmounPLASTICCOSTCUSTOMStFOLLOWACCOUNT()
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
        UPDATEPLASTICCUSTOMSEMPLOYEES()
        UPDATEPLASTICCOSTCUSTOMS()
        UPDATEPLASTICEMPLOYEES()
    End Sub
    Private Sub BUTTONCANCEL_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONCANCEL.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
    Private Sub DELETEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DELETEBUTTON.Click
        If Me.TEXTBOX21.Checked = True Then
            Dim resault As Integer
            resault = MessageBox.Show("        ", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            If resault = vbYes Then
                DELETEDATA()
                Me.TEXTBOX21.Checked = False
                EDITBUTTON_Click(sender, e)
            Else
                Exit Sub
            End If
        End If
        MYDELETERECORD("PLASTICEMPLOYEES", "PEMP3", TEXTBOX3, BS, True)
        MYDELETERECORD("PLASTICCOSTCUSTOMS", "PCEMP3", TEXTBOX3, BS, True)
        MYDELETERECORD("PLASTICCUSTOMSEMPLOYEES", "PCEMP1", TEXTBOX1, BS, True)
        frmCUSTOMER22_Load(sender, e)
    End Sub
    Private Sub FIRSTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FIRSTBUTTON.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
    Private Sub PREVIOUSBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PREVIOUSBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
    Private Sub NEXTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NEXTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
    Private Sub LASTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LASTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
    Private Sub TEXTBOX13_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX13.SelectedIndexChanged
        On Error Resume Next
        TextBox13Changed()
    End Sub
    Private Sub DataGridView1_CellDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView1.CellDoubleClick
        On Error Resume Next
        If Me.DataGridView1.CurrentCell.ColumnIndex = 4 Then
            frmDATALIST.ListBox1.Visible = True
            frmDATALIST.ListBox2.Visible = False
            frmDATALIST.Show()
            Me.DataGridView1.CurrentRow.Cells(4).Value = frmDATALIST.Tag
        End If
    End Sub
    Private Sub DataGridView2_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles DataGridView2.DoubleClick
        On Error Resume Next
        If MsgBox("          ", vbYesNo + vbQuestion + vbMsgBoxRight + vbDefaultButton2 + vbMsgBoxSetForeground + vbMsgBoxRtlReading, "") = vbYes Then
            Dim sql As String = "INSERT INTO PLASTICEMPLOYEES ( PEMP1, PEMP4, PEMP2, PEMP3 ) SELECT BASICDATA.[BDATA1], BASICDATA.BDATA7, BASICDATA.BDATA5, '" & Me.TEXTBOX3.Text & "'" & " FROM BASICDATA WHERE BASICDATA.[BDATA1]<=30"
            Dim cmd As New SqlClient.SqlCommand(sql, SqlConnection1)
            If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
            SqlConnection1.Open()
            cmd.ExecuteNonQuery()
            SqlConnection1.Close()
        Else
            Cancel = True
        End If
    End Sub
    Private Sub TEXTBOX17_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs)
        On Error Resume Next
        Me.TEXTBOX19.Text = HANY(TEXTBOX17.Text, "EGYPT")
        Me.TEXTBOX20.Text = HANY(TEXTBOX18.Text, "EGYPT")
    End Sub
    Private Sub TEXTBOX3_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXTBOX3.LostFocus
        On Error Resume Next
        Static Dim P As Integer
        P = BS.Position
        SavePLASTICCUSTOMSEMPLOYEES()
        frmCUSTOMER22_Load(sender, e)
        BS.Position = P
    End Sub
    Private Sub TEXTBOX2_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX2.KeyDown
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                SendKeys.SendWait("{TAB}")
        End Select
    End Sub
End Class