Option Explicit Off
Imports CrystalDecisions.CrystalReports.Engine
Public Class frmMyMessages
    Inherits System.Windows.Forms.Form
    Dim WithEvents BS As New BindingSource
    Private Sub frmMYMESSAGES_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        SqlConnection1.ConnectionString = constring
        ds.EnforceConstraints = False
        SqlConnection1.Open()
        Dim str As String = "SELECT * FROM MYMESSAGES ORDER BY MSG1"
        SqlDataAdapter1 = New SqlClient.SqlDataAdapter(str, SqlConnection1)
        ds.Clear()
        SqlDataAdapter1.Fill(ds, "MYMESSAGES")
        BS.DataSource = ds
        BS.DataMember = "MYMESSAGES"
        ds.EnforceConstraints = True
        SqlDataAdapter1.Dispose()
        SqlConnection1.Close()
        SHOWBUTTON()
        RecordCount()
        FILLCOMBOBOX("MYMESSAGES", "MSG3", Me.TEXTBOX3)
    End Sub
    Private Sub BS_PositionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BS.PositionChanged
        On Error Resume Next
        RecordCount()
    End Sub
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RECORDSLABEL.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds.Tables("MYMESSAGES").Rows.Count - 1 Then
            Forward = True
        End If
        FIRSTBUTTON.Enabled = Back
        PREVIOUSBUTTON.Enabled = Back
        NEXTBUTTON.Enabled = Forward
        LASTBUTTON.Enabled = Forward
        DISPLAYRECORD()
    End Sub
    Private Sub SHOWBUTTON()
        On Error Resume Next
        Me.SAVEBUTTON.Enabled = BUTTONSAVE
        Me.EDITBUTTON.Enabled = BUTTONEDIT
        Me.DELETEBUTTON.Enabled = BUTTONDELETE
    End Sub
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .TEXTBOX1.Text = ds.Tables("MYMESSAGES").Rows(BS.Position)("MSG1").ToString
            .TEXTBOX2.Text = ds.Tables("MYMESSAGES").Rows(BS.Position)("MSG2").ToString
            .TEXTBOX3.Text = ds.Tables("MYMESSAGES").Rows(BS.Position)("MSG3").ToString
            .TEXTBOX4.Text = ds.Tables("MYMESSAGES").Rows(BS.Position)("MSG4").ToString
        End With
    End Sub
    Private Sub FIRSTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FIRSTBUTTON.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
    Private Sub PREVIOUSBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PREVIOUSBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
    Private Sub NEXTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NEXTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
    Private Sub LASTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LASTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
    Private Sub ADDBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ADDBUTTON.Click
        Dim n As Double
        Dim s As Double
        n = BS.Count
        BS.Position = BS.Count - 1
        s = Val(Me.TEXTBOX1.Text)
        On Error Resume Next
        BS.EndEdit()
        BS.AddNew()
        CLEARDATA1(Me)
        Me.TEXTBOX4.Clear()
        If n = 0 Then
            Me.TEXTBOX1.Text = 1
        Else
            If n >= s Then
                Me.TEXTBOX1.Text = Val(n) + 1
            Else
                Me.TEXTBOX1.Text = Val(s) + 1
            End If
        End If
        TEXTBOX2.Focus()
    End Sub
    Private Sub SAVEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SAVEBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Count
        Dim SQL As String = "INSERT INTO MYMESSAGES(MSG1, MSG2, MSG3, MSG4) VALUES     (@MSG1, @MSG2, @MSG3, @MSG4)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@MSG1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@MSG2", SqlDbType.NVarChar, 255).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@MSG3", SqlDbType.NVarChar, 255).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@MSG4", SqlDbType.VarChar, 3000).Value = Me.TEXTBOX4.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
        frmMYMESSAGES_Load(sender, e)
        Me.BS.Position = P + 1
        RecordCount()
    End Sub
    Private Sub EDITBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EDITBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Position
        Dim SQL As String = " Update MYMESSAGES SET  MSG2 = @MSG2, MSG3 = @MSG3, MSG4 = @MSG4 WHERE MSG1 = @MSG1"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        CMD.CommandType = CommandType.Text
        CMD.Connection = SqlConnection1
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@MSG1", SqlDbType.Int).Value = Me.TEXTBOX1.Text.Trim
            .Parameters.Add("@MSG2", SqlDbType.NVarChar, 255).Value = Me.TEXTBOX2.Text.Trim
            .Parameters.Add("@MSG3", SqlDbType.NVarChar, 255).Value = Me.TEXTBOX3.Text.Trim
            .Parameters.Add("@MSG4", SqlDbType.VarChar, 3000).Value = Me.TEXTBOX4.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
        frmMYMESSAGES_Load(sender, e)
        Me.BS.Position = P
        RecordCount()
    End Sub
    Private Sub BUTTONCANCEL_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONCANCEL.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
    Private Sub DELETEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DELETEBUTTON.Click
        MYDELETERECORD("MYMESSAGES", "MSG1", TEXTBOX1, BS, True)
        frmMYMESSAGES_Load(sender, e)
    End Sub
    Private Sub PRINTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PRINTBUTTON.Click
        On Error Resume Next
        Dim rpt As New rptMyMessages
        Dim F As New frmPRINT
        GETSERVERNAMEANDDATABASENAME(rpt, "ART", "", "")
        rpt.RecordSelectionFormula = "{NEWMESSAGES.MSG1}=" & Me.TEXTBOX1.Text
        F.CrystalReportViewer1.ReportSource = rpt
        F.CrystalReportViewer1.Zoom(94%)
        F.CrystalReportViewer1.Refresh()
        F.Show()
    End Sub
    Private Sub TEXTBOX2_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TEXTBOX2.KeyDown
        On Error Resume Next
        Select Case e.KeyCode
            Case Keys.Enter
                SendKeys.SendWait("{TAB}")
        End Select
    End Sub
End Class